Introduction a TRANSCRIPT

Introduction à TRANSCRIPT
 Haut Suivant
Bienvenue dans Transcript 2.2 ce programme est tout désigné pour vous venir en aide pour la transcription d'une image digitale en un document texte. Transcript est libre pour un usage non commercial . Dans tous les autres cas vous devez me verser 15 euros pour couvrir mes dépenses. Après paiement vous recevez le numéro de Licence et vous pouvez ainsi utiliser les Fonctions additionelle du programme ..

Transcript a été créé suite à mon mécontentement lié à l’utilisation de deux fenêtres pour la transcription d’image digitale de documents anciens. Je devais toujours alterner entre la fenêtre image et la fenêtre éditeur de texte afin de rendre l’un ou l’autre accessible.
J’ai pensé que cela devrait être plus facile avec un programme qui éviterait cela. Ne sachant pas si un tel programme existait, j’ai décidé que j’essayerai d’en écrire un moi-même, et voici le résultat.

L’idée de base était très simple. Diviser l’écran en deux parties. La moitié supérieure pour l’image et la moitié inférieur pour éditer le texte ( ce programme n’est pas un OCR, il ne convertit pas le texte, vous devez réaliser la transcription vous-même ). La taille des fenêtres peut être modifiée à souhait, pour plus de détails voir: Explication de la fenêtre et démarrage rapide .

Dans l’éditeur d’image, vous pouvez déplacer celle-ci de plusieurs manières en utilisant les Raccourcis . Vous pouvez aussi utiliser des touches pour vous déplacer dans le même répertoire à l’image précédente ou suivante. Transcrip utilise également de nombreuses autres possibilités et fonctions que l’on retrouve dans la plupart des autres éditeurs de textes.

Transcript a en outre beaucoup d’ Options et fonctions additionnelles qui sont connues, pour aider l’utilisateur à transcrire une image.
Par défaut le programme se rappelle la position exacte dans le texte et l'image où vous étiez la fois précédente et va de nouveau à cette position quand vous ouvrez le programme.

La fenêtre d’édition emploie le standard « texte enrichi » format (RTF) que la plupart des traitements de texte peuvent lire et écrire. Ceci le rend facile à lire dans un autre éditeur de texte.
Il est également possible d'utiliser les filtres d'importation et d'exportation du Word ou de l'Office de Microsoft ® si ces programmes sont installés. De cette façon vous pouvez importer / exporter d'autres formats de fichiers.
La partie supérieure (visionneuse d'image) peut montrer les JP(E)G, BMP, GIF, PNG, TIF et beaucoup d'autres formats d'image les plus courants.
Si GhostScript est installé sur votre Système, il est alors possible de lire des Fichiers PDF .

Important à connaître :
La partie éditeur de Transcript emploie la norme RichEdit disponible dans la DLL de Windows. Ceci supporte seulement un sous-ensemble de toutes les commandes possibles du traitement de texte. Quand vous ouvrez dans Ms- Word un document RTF fait avec un traitement de texte comme Ms-Word vous devez savoir qu’en le sauvant quelques éléments de la mise en page seront perdus ! Quand vous le sauver avec Transcrip lui-même, la sauvegarde sera correcte.

Les éléments de l’éditeur qui ne sont pas supportés sont entre autres :
· Apostilles et notes finales.
· En-têtes et titres de bas de page.
· L'information d'index.
· Signets et liens d'Internet si le lien n'est pas identique aux textes montrés par le lien.
· Modèles.
· Colonnes.
· La plupart des tables. Sont supportées, seulement des tables simples où chaque cellule se compose d'une ligne de texte sans retour automatique.
· Et plus. Lisez ce Fichier d'aide pour avoir une idée de ce qui est supporté.

Toutes les préférences et configurations sont sauvées dans un dossier de configuration et pas dans la base de registre de Windows (excepté l'information UnInstall employée par l'installateur). Ce dossier de configuration s'appelle "Transcript.ini".

Ce programme est exclusivement libre d’utilisation pour un usage non commercial. Dans tous autres cas vous devez me verser 15 euros pour couvrir mes dépenses. Cette somme sera payée à l'auteur J. G. Boerema . Voyez pour détails et conditions : Licence et conditions de distribution .

Ce programme est sous copyright © 2003-2007 de J.G.Boerema.

Voir aussi:
· Les fonctions les plus importantes de Transcript.
· Nouvelles fonctions, corrections suppression des bogues de cette version .
· Fonctions Uniquement accessible avec une version Enregistrée .
· Différentes manières d'utiliser Transcript .
· Système recommandé .
· Installation et désinstallation de Transcript .
· Les bogues connus énumère tous les bogues, erreurs et imperfections qui sont connus à l'heure actuelle.
· En crédits vous pouvez voir quels composants et programmes libres j'ai employé pour la réalisation de Transcript et contribuer à améliorer le programme avec des idées de perfectionnement.
· L' historique du programme Transcript.

Copyright © 2003-2007 J.G. Boerema. Haut Suivant


Vue d'ensemble sur Transcript

Vue d'ensemble
 Haut Suivant

Vue sur les fonctions importantes de Transcript

Manipulation d'image

1. L'image peut être Zoomée en + ou -. Par défaut l'incrément Zoom est réglé à 10% mais cette valeur peut être changée dans les options.
2. L'image peut être tournée à gauche, à droite ou à l'envers. Sur option vous pouvez choisir d'alterner entre tourner à gauche ou à droite.
3. Vous pouvez convertir l'image en niveau de gris au lieu de couleur, vous pouvez aussi inverser Positif/Négatif et aussi moduler/changer la luminosité.
4. Il est possible d'affiner l'image avec le raccourci : Ctrl+Alt+S.
5. Dans la fenêtre d'affichage image, il est possible de déplacer cette image, vers le bas, à gauche, à droite, un écran vers le haut ou vers le bas. Vous pouvez également aller jusqu'au dessus de la page gauche ou droite. A gauche ou à droite de la position actuelle de l'image.
6. Vous pouvez vous déplacer à l'image suivante ou précédente du répertoire courant en utilisant les touches F6 et F5.
7. En Option vous pouvez choisir le déplacement de l'image à chaque " Enter " par un nombre déterminé de Pixel, ce choix est variable. Ce choix est aussi possible via le texte lors du retour à la ligne normal
8. Une autre option permet au programme de reprendre les réglages définis et ce pour la nouvelle image. Ainsi il utilisera les mêmes paramètres Zoom, Luminosité, Rotation etc. que la précédente image
9. Formats image supporté : JP(E)G, BMP, GIF, PNG, TIF, PSP, PCD, PSD, PDD, PPM, PGM, PBM et si GhostScript est installé alors aussi le format PDF.
10. En option il est possible que toutes les images soient visualisées avec les mêmes paramètres. Par exemple toutes les images en zoom 120%, en niveau de gris et rotation 90° etc.
11. Lorsque vous passez à l'image suivante en option vous pouvez laisser le programme insérer ou non le nom de l'image et automatiquement un compteur au format que vous aurez choisi. Vous pouvez aussi déterminer cette possibilité manuellement en utilisant la combinaison de touches Ctrl+Alt+F. Seulement disponible avec la version enregistrée
12. Avec la combinaison de touche Shift+F5 / F6 cela vous place directement en haut de la page à gauche ou à droite, cela suppose que l'image comporte deux pages. En utilisant Shift+Ctrl+F5 / F6 vous vous déplacez à gauche ou à droite de l'image sans en atteindre le dessus.
13. Quelques paramètres peuvent rapidement être modifiés avec le bouton Clic droit de la souris lorsque vous êtes dans la fenêtre image.

Traitement du Texte

14. Les fonctions courantes d'un traitement de texte sont disponible : choix de la police de caractère, gras, italique, souligné, barré simple, exposant et indice, couleur du texte et de l'arrière plan, puces, style de numérotation, alignement de paragraphe.
15. Paragraphes et tabulations peuvent êtres adaptés selon le besoin.
16. Dans la fenêtre d'édition un zoom peut être réalisé + ou - en modifiant le réglage dans la barre de menu texte ou en utilisant la touche Ctrl+la roulette de la souris. Ces réglages peuvent être mémorisés par une sélection dans Option.
17. Le texte peut être sauvé automatiquement à intervalle régulier. Dans option vous déterminez après combien de minute cette sauvegarde doit s'effectuer. Une autre option vous permet de faire une copie de sécurité ( Backup ).
18. Rechercher ou Rechercher et Remplacer du texte.
19. Pour moi, une fonction très utile est la fonction Auto Correction. L'accès à la boite de dialogue est possible par ( Ctrl+Alt+C ). Ici vous définissez le mot ou l'abréviation qui doit être immédiatement et automatiquement corrigée. C'est très utile lorsque l'on répète plusieurs fois la même erreur de frappe lors de la transcription d'un ancien document. Idem pour une abréviation répétitive si elle est définie Transcript la remplace automatiquement par son équivalent en clair.
Seulement disponible avec la version enregistrée.
20. Comme dans Ms-Word Options Auto Correction permet la gestion correcte de deux capitales dans un mot, ou la gestion de la seconde capitale du mot, et encore permet de gérer les espaces supplémentaires entre deux mots. Seulement disponible avec la version enregistrée.
21. Les dix derniers fichiers RTF ouverts sont mémorisés dans une liste historique ce qui vous facilite une réouverture ultérieure si nécessaire.
22. Une règle peut être affichée afin d'y déterminer la position des marges et y inclure aussi des taquets de tabulation. Seulement disponible avec la version enregistrée.
23. Vous pouvez assigner du texte rapide de 0 to 9. Ce sont des morceaux de texte que vous utilisez souvent et que vous désirez insérer rapidement. Pour assigner du texte à une clef choisissez le texte en le mettant en surbrillance ensuite exécutez la combinaison de touche Alt+Shift+ ( et le numéro compris entre 0 et 9 ) ou utilisez le bouton droit de la souris pour avoir le menu dans la fenêtre d'édition.
24. Une option avancée peut être utilisée pour assigner automatiquement le même nom à un fichier texte et à celui de limage. Ceci suppose que vous souhaitez un fichier texte par fichier image. Vous pouvez choisir pour un répertoire différent. Par défaut c'est le même que celui des images.
25. Les unités de mesures peuvent être des centimètres ou des pouces.
26. Si la suite Microsoft Office ou le Word seul sont installés Transcript peut utiliser leur filtres Importer / Exporter pour importer ou exporter un fichier texte dans un autre format. Toutefois la dll standard pour le texte enrichi de Windows utilisée par Transcript n'utilise pas tous les formats. Cela signifie que certains documents ne pourraient pas être correctement importés. Spécialement dans le cas de Tableaux ou de colonnes ou encore d'hyper liens
27. La fenêtre d'édition est modulable à gauche ou à droite en déplaçant le curseur vers le centre pour créer une fenêtre aux dimensions souhaitées. Spécialement avec de grand moniteur, les lignes de texte peuvent êtres trop longues. Cette solution remédie à cela. Une autre possibilité est d'incrémenter le taux du zoom pour le texte.

Divers

28. Le programme mémorise les informations relatives à l'agencement des fenêtres, agrandissement ou position relative des fenêtres. Lors d'une prochaine ouverture ces paramètres seront restaurés. La taille de la fenêtre d'édition ou de l'image peut être adaptée en déplaçant le séparateur avec la souris dans la direction souhaitée.
29. Vous pouvez maintenant travailler avec Transcript sur base d'un projet. Un projet contient tous les paramètres importants ; comme le fichier d'édition ou le fichier d'image et les réglages actuels prédéfinis pour ces fichiers. Vous pouvez commuter entre les projets en choisissant un autre projet dans la liste. Très utile pour qui travaille de temps en temps ou souvent sur différentes transcriptions en même temps. Il est également possible d'ouvrir le programme avec un projet spécifique en utilisant la ligne de commande option -p<Nom de projet> comme par exemple ( -pMes_Transcriptions ). Il y a une boite de dialogue de gestion de projet où vous pouvez renommer, supprimer des projets et où vous pouvez aussi créer un raccourci bureau pour exécuter le programme avec un projet spécifique. Seulement disponible avec la version enregistrée.
30. Pour tous les projets vous pouvez minuter et enregistrer le temps passé sur le projet ou la transcription. Le minutage et l'enregistrement du temps peut être mis en Pause.
31. Transcript marquera automatiquement une pause ( temps courant ) quand vous basculer à un autre programme et à des résumés différents. Quand vous retournez à Transcript, le temps écoulé est indiqué dans la barre d'outils " Projet " près de la barre d'outils " Menu ".
32. La fenêtre image et la fenêtre édition peuvent être ouverte plein écran se qui vous empêche de voir l'une ou l'autre. Si vous placez la fenêtre image pleine écran vous pouvez toujours continuer à saisir le texte même si celle-ci n'est pas visible.
33. Vous pouvez choisir la langue à utiliser pour le programme. En ce moment, Anglais, Français et Néerlandais sont disponibles.
34. De bonnes volontés sont nécessaires pour traduire l'ensemble des phrases et mots utilisés dans Transcript en d'autres langues et aussi probablement le fichier d'aide. Si des fichiers d'autres langues sont disponibles ils peuvent être téléchargés sur mon site web.
35. Si vous êtes intéressé par la traduction, s'il vous plait contactez-moi, je vous communiquerais la dernière information relative à la traduction afin de vous éviter de refaire une traduction déjà effectuée. Qui que se soit qui traduit les commandes du programme et le fichier d'aide recevra un code d'enregistrement pour la version PRO de Transcript.
36. Les Infos bulle qui donnent des informations supplémentaires peuvent être rendues inactives. Vous pouvez aussi déterminer le temps qu'elles resteront visibles avant de s'estomper.
37. Si un Scanner est relié à votre PC, il vous sera possible de scanner directement une image avec Transcript, une fois ceci fait il vous sera immédiatement demandé de sauver cette image.
Copyright © 2003-2007 J.G. Boerema. Haut Suivant


Uniquement pour Utilsateur enregistre

Uniquement pour Utilsateur enregistré
 Précédent Haut Suivant
Sans compter que les nombreuses Fonctions supplémentaires de la version enregistrée aident considérablement l'utilisateur de Transcript dans la transcrition, ceci par rapport à la version libre.

Manipulation d'Image

· Quand vous allez à l'image suivante vous pouvez laissez en option l'insertion par le programme ; le nom du fichier image et/ou automatiquement une incrémentation ( exemple un numéro de page ) dans le format de votre choix. Vous pouvez également insérer ceci manuellement en employant le raccourci Ctrl+Alt+F.
· Si vous travaillez sur des images extraites d'un fichier PDF vous utilisez un Extra disponible dans la boite de dialogue PDF Options tab . Seul les utilisateurs enregistrés ont accès à ces options, comme choisir la résolution d'image pour les images extraites, la qualité de format JPEG et aussi si les images extraites doivent être après utilisation supprimées automatiquement.
· Le Menu Image a un sous-menu supplémentaire avec certaines options de paramétrage pour PDF, comme les paramètres de résolution les plus utilisés, comme possibilité et capacité de supprimer toutes les images PDF extraites dans le dossier courant.

éditeur

· Pour moi un des points supplémentaires les plus utile est la fonction Auto Remplacement . Il y a une boite de dialogue ( Ctrl+Alt+C ) où vous pouvez définir les mots ou les abréviations qui devraient être remplacés automatiquement avec d'autres mots ou ( des parties de ) phrases. C'est très utile quand vous rencontrez beaucoup de phrases avec mots ou partie de phrases à répétition dans vos transcriptions. Définissez juste une abréviation et Transcript se chargera automatiquement du remplacement avec la phrase correcte !.
· Comme dans le Ms-Word il y a certaines options Auto Correction utiles de correction automatique comme par exemple les deux majuscules correctes dans un mot, ou deuxième caractère une majuscule au lieu du premier ou encore pour interdire plus d'un espace consécutif.
· Une règle peut être affichée où vous pouvez changer des marges et placer et changer des taquets de tabulation. Raccourci : Ctrl+Alt+R.
· Pour rappel il y a aussi les Insertion Rapide de Texte que l'on peut assigner aux combinaisons de touche Alt+0 à 9 sur un projet. Chaque projet peut avoir ses propres insertions rapides de texte.

Divers

· Les utilisateurs enregistrés peuvent travailler à plusieurs projets simultanément. Un projet contient tous les paramètres important comme le dossier Texte et images et les paramètres utilisés actuellement par ces fichiers etc.
· Vous pouvez commuter entre Projets en choisissant un autre projet de la liste sans passer par le menu. Très utile pour qui travaille de temps en temps ou souvent sur différentes transcriptions en même temps.
· Transcript peut être ouvert par un projet spécifique en utilisant l'option ligne de commande - p<Nom de Projet> ( ex : -pMes_Transcriptions ).
· Il y a une boite de dialogue Gestion de Projets où vous pouvez retirer ou supprimer des projets, créer un raccourci sur le bureau du PC pour commencer le programme avec un projet spécifique et ajouter une description au projet ( cette description sera visible quand vous passerez le curseur de la souris au-dessus de la liste de choix de projet dans la fenêtre principale du programme ).
· Pour chaque projet vous pouvez choisir d'enregistrer le temps passé à travailler à cette transcription. L'enregistrement du temps peut être aussi temporairement mis en Pause. Transcript fait une pause automatiquement, ( temps nécessaire ), cela quand vous passez à un autre programme et à des résumés différents. Quand vous revenez à Transcript, le temps écoulé est visible dans la barre d'outils " Projet " près de la barre d'outils " Menu ".

Copyright © 2003-2007 J.G. Boerema. Précédent Haut Suivant


Nouveautes dans cette version

Nouveautés de cette Version
Version courante de Transcript : Transcript 2.2.0 ( 11 mai 2007 ).

Ci-dessous la liste des nouvelles fonctions, corrections et bogues corrigés de la version courante de Transcript.

· Fichier PDF supporté, uniquement si Ghostscript est installé sur votre PC. Pour tester, je n'ai utilisé que AFPL Ghostscript, mais je présume que GPL Ghostscript sera aussi compatible et fonctionnera sans problèmes. Ici un lien direct pour télécharger ce programme Télécharger Ghostscript ( choisir exécution sous Windows ).
Note : Si vous avez d'autres programmes qui utilisent aussi Ghostscript, probablement que les Drivers Imprimante PDF sont prèts et correctement installés sur votre système. Si Ghostscript est bien installé, Transcript le détectera automatiquement et le lancera. Pour plus d'information voir Utilisation d'une image PDF .
· En utilisant la boite de dialogue pour choisir une autre image, les PDF seront listées si Ghostscript est détecté. Dans le cas contraire les PDF ne seront pas reconnus.
· Les formats images suivant sont maintenant aussi accepté : PNG, TIF, PaintShop PSP, PhotoCD PCD, PhotoShop PSD and PDD, Portable map files PPM, PGM and PBM. Dans certains cas, des fichiers ne seront pas supportés ( ex. lorsque des calques sont utilisés ).
· Nouvelle Option AFFINER l'image. Touche de Raccourci : Ctrl+Alt+S.
· Nouvelle option pour le déplacement de l'image lorsque l'on tappe du texte et le passage à la ligne suivante est exécuté automatiquement, fonction de déplacement identique qu'avec " ENTER "
· La DOuble CApitales est reconnue dès le début du mot et sa gestion est une option de remplacement par le maintien de la première uniquement. Seulement disponible avec la version enregistrée.
· Ajout de l'option protection concernant la double majuscule " IJ " ( très courante en néerlandais ). Seulement disponible avec la version enregistrée.
· Ajout de l'option sEconde majuscule remplacée par la première lettre en Majuscule et la Seconde en minuscule. Seulement disponible avec la version enregistrée.
· Ajout de l'option Ignorer le Double Espace. Si deux espaces se suivent, Option cochée, le second espace sera ignoré. Il y a aussi une possibilité de lier un son lorsque Transcript exécute une Autocorrection fonction. Seulement disponible avec la version enregistrée.
· L'option son cochée, le son par défaut se remplace par un son ( Wave ) de votre choix. Seulement disponible avec la version enregistrée.
· Pour moi Auto Correction est une fonction très utile. Par le raccourci (Ctrl+Alt+C) vous avez accès à la boite de dialogue, où il est possible de définir les mots ou abréviations qui devront être automatiquement corrigées après la frappe du même mot erroné. Ceci est très utile lorsqu'il y a répétition des mêmes erreurs. Seulement disponible avec la version enregistrée.
· La fonction d'Auto Correction ou Auto Remplacement sera temporairement inactive si la touche fonction " Scroll Lock " de votre clavier est On ( activée ).
· Le Zoom Avant ou Arrière sur l'image est maintenant possible avec les raccourcis clavier : Ctrl+Alt+ + et Ctrl+Alt+ - ( Seul le + et le - du pavé numérique sont utilisables ).
· Dans la fenêtre Projet, lorsqu'un projet est sélectionné, maintenant le nom du fichier Texte et celui du fichier image sont mentionnés.
· Dans la fenêtre de Projet, vous avez maintenant la possibilité d'ajouter une description ou commentaire à ce projet. Seulement disponible avec la version enregistrée. La description du Projet courant peut aussi être vue en passant le curseur de la souris dans la boite de sélection de projet de la fenêtre principale.
· Pour chaque Projet il est maintenant possible d'enregistrer le temps que vous passez sur ce projet ( Seulement disponible avec la version enregistrée. ). Vous avez un nouveau bouton pour activer ou mettre en pause le minuteur de projet. Sous le menu Outils se trouve d'autres options de paramétrage du minuteur : Arrêter le minuteur et remettre les valeurs à 0. Chaque changement de programme place le minuteur en mode pause, lorsque vous faite un retour au programme précédent Transcript réactivera le minuteur la où il s'était arrêté.
· Plusieurs boutons et autres fonctions sont maintenant accessibles via le menu.
· Quand vous déplacez la souris dans la boite de sélection Fichier Image, le chemin complet de l'image courante est maintenant indiqué ainsi que sur la ligne inférieure le numéro de l'image courante et son pourcentage ( quantième image déjà traitées et le % de Zoom )
· Ajout de la fonction " Clic Droit " de la souris donne accès à diverses fonctions.
· Vous pouvez le point d'affichage vertical de la nouvelle image chargée sur le même point que l'image courante.
· Une nouvelle fonctions de positionnement horizontal ( au chargement d'une nouvelle image ). Dans le menu avec le clic Droit de souris, vous pouvez maintenant choisir centrer l'image, utiliser le même positionnement horizontal ou utiliser un autre positionnement pour les pages Gauches et Droites.
· Pourquoi faire une différence entre la page de gauche et la page de droite ? Puisque en Photographiant ( avec un trépieds ), c'est plus facile de prendre en premier toutes les pages gauche et après toutes celles de droite ( ou l'inverse ). Dans ce cas il y aura probablement quelques petites différences de centrage. mais en modifiant quelques paramètres chaque image pourra être chargée correctement à la position souhaitée.
· Au cas où vous choisiriez différentes pages gauches et droites vous pouvez également choisir parmi le menu " clic bouton droit de souris ) si la page courante est une page gauche ou une page droite. Dans ce cas Transcript suppose que les autres suivent à gauche et à droite.
· Quelques diverses améliorations pour une meilleure qualité de transcription.
· XP theme support : now the program will look more XP alike. When testing this I encountered some problems related to theming which I hope most got fixed.
· Changement Important : dorénavant le dossier de paramétrage " Transcript.ini " sera sauvé dans un dossier appelé " Transcript " dans le sous dossier « Application Data ». L'endroit de ce sous dossier « Application Data » dépend de votre version de Windows. Ce changement a été fait parce que comme je le comprends Windows Vista aura des difficultés en essayant de charger le dossier de paramétrage dans le dossier du programme. Au début du démarrage votre dossier courant de paramétrage " Transcript.ini " sera automatiquement copié au nouvel endroit. Si vous êtes un utilisateur de Transcript Auto Remplacement fichier extension ( *.tac ) : ceux-ci ne sont pas automatiquement copiés au nouvel endroit. Si vous avez Windows Vista il est recommandé de déplacer également ces dossiers à un autre endroit que celui du dossier du programme.
· Plusieurs modifications sont la conséquence de ce qui précède.
· Tous les fichiers Filtres sont maintenant traduits, cela est accessible en changeant la langue.
· Bogue Corrigé : Si la transcription n'était pas la fenêtre de premier plan en commençant vers le haut et que le minuteur de projet est actif pour le projet en cours alors, le minuteur ( jamais ) ne faisait pas une pause mais commençait à comptabilisé le temps alors qu'il ne devait pas le faire.
· Bogue Corrigé : Quand l'option « déplacement de l'image entièrement vers la gauche » était employée, l'image avait parfois un positionnement incorrect.
· Bogue identifié : après pression de F4 ( Restauration à l'image originale par défaut ) l'image obtenue était centrée.
· Bogue identifié : importer/exporter le dossier par défaut est maintenant aussi le dossier courant du fichier texte.
· Bogue identifié : en basculant entre projet où le nouveau projet s'il n'a pas une image définie, l'image de l'ancien projet ne sera pas enlevée.
· Bogue identifié : dans certains cas la fenêtre image est devenue si petite qu'après un redémarrage de Transcript elle a complètement disparu.
· Bogue identifié : le message " Non Trouvé ( Not Found ) " en recherchant du texte était parfois obtenu derrière la boite de dialogue " Rechercher ".
· Bogue identifié : en essayant d'ouvrir un dossier avec des PDF ou d'autres formats sans support image vous n'avez pas reçu un message d'erreur et après remise en marche de Transcript, le menu et les barres d'outils n'étaient plus visible.
· Plusieurs autres petits bogues ont été corrigés ainsi que d'autres modifications internes.

Pour les améliorations des versions précédentes de Transcript voir: Historique du programme .


Diverses manieres d'utiliser Transcript

Quelques manières d'utiliser Transcript
Il existe plusieurs façons d'utiliser Transcript. Ci-dessous certaines sont énumérées. Si vous en découvrez une ou connaissez d'autre, s'il vous plait faite le moi savoir.

Utilisation

· Utilisé pour transcrire de vieux documents Historique ou Généalogique.
· Numériser des vieux journaux et les transcrire.
· Transcrire votre journal intime.
· Transcription de notes manuscrites.
· La qualité d'impression de vieux textes est encore assez bonne pour être reconnue par un programme OCR. Dans ce cas vous pouvez utiliser Transcript pour réaliser la conversion manuellement.
· Aide à l'étude pour les enfants atteints de dyslexie.
· Création de notes au sujet d'images numériques. Elles n'ont pas besoin d'être nécessairement des images de documents mais peuvent être toute image au sujet desquelles vous avez quelque chose à dire. Une option utile pour ceci peut être cochée dans options avancées. Vous pouvez indiquer que le fichier Texte RTF porte automatiquement le même nom que le dossier image ( sans l'extension ).


Systeme recomande

Système Recommandé

Système recommandé pour Transcript

· Windows 95 ou supérieur.
· Préférer la dll " RichEd20.dll " version 5.30 ou supérieure, bien que des versions plus anciennes ( devraient ) fonctionner sans problèmes sauf que quelques possibilités de " RichEdit " ne seraient pas accessibles ( comme justifier, tabulation de première ligne, tout les alignements des taquets et probablement d'autres choses ). Cette version est disponible dans Windows ME ou supérieure est également fournie avec les plus récentes versions d'Internet Explorer.
· De la mémoire interne suffisante ( beaucoup plus est souhaité ) car certaines images à manipuler nécessite énormément de mémoire pour les diverses opérations ( Rotation etc. ), et particulièrement lorsque l'image est très grande.
· Quand vous voulez utiliser des images issues de fichiers PDF, vous devrez également avoir le programme GhostScript installé, pour plus d'information voir usage des images PDF .


Installer et Desinstaller Transcript

Installation et Désinstallation de Trancript

Installer ou Désinstaller Transcript

Version Install

Après téléchargement, double cliquez sur le fichier et ensuite suivre les instructions.
Si vous avez précédemment employé l'Install pour installer Transcript le nouvel Install demandera si vous voulez désinstaller la version précédente ( vos paramètres seront conservés ). Sinon alors l'installation sera annulée.
Un raccourci sera automatiquement placé sur le bureau et dans le dossier groupe de programme et dans le répertoire Menu Démarrer - Programme,
excepté si vous décochez ces options à l'install.

Version Zip

Dé zipper le fichier téléchargé dans un répertoire de votre choix. De préférence dans un répertoire vide, par exemple :
< "sous Windows, la lettre du disque dur " > \Program Files\Transcript\

Ne placez pas Transcript dans un dossier contenant d'autres programmes afin de prévenir d'éventuels disfonctionnements ( quoique peu probable ). Vous pouvez créer vous-même le raccourci pour Transcript.exe sur le bureau et ou dans le menu programme.

Pour démarrer : cliquez sur le fichier Transcript.exe ou sur son raccourci.

Ce programme ne modifie pas la base de registre de Windows. Toutes les préférences et configurations sont mémorisées dans le fichier Transcript.ini
La version 2.2 et suivante seront archivée dans un sous dossier appelé Transcript de votre dossier « Application Data ». Le chemin du dossier « Application Data » change selon votre version de Windows. ( Des versions plus anciennes de Transcript ont stocké Transcript.ini dans le dossier du programme Transcript. Si un dossier de paramètres est trouvé dans l'ancien dossier il sera automatiquement détecté et copié dans le nouveau dossier.
Le fichier Transcript.ini ancien ne sera pas supprimé.

Installation d'une plus récente version de Transcript

Si vous utilisez une version zippée plus récente, afin d'éviter d'éventuels problèmes, il est préférable de toujours désinstaller votre ancienne version.

Désinstallation

Si vous avez l'habitude des utilitaires de désinstallation alors désinstaller Transcript peut être réalisé de deux manières. Allez dans Démarrer - Paramètre - Ajout Suppression de Programme - Supprimer Transcrit. Le programme sera supprimé automatiquement, seul le fichier Transcrit.ini ne le sera pas, ceci vous permettra de retrouver tous vos paramètres de réglages lors de l'exécution de la nouvelle version. Si vous n'utilisez plus Transcript alors le fichier doit être supprimé manuellement.

Si vous utilisez la version zippée, vous pouvez supprimer tous les fichiers qui se trouvent dans le dossier, exception de vos fichiers personnel.

Quelque soit le mode de désinstallation choisi, il est évident d'avoir au préalable fermé le programme Transcript pour autant qu'il soit utilisé.


Site Web et Contact
Site Web :

Version Libre
Anglais
· http://www.jacobboerema.nl/en/Freeware.htm
Néerlandais
· http://www.jacobboerema.nl/Transcript/Freeware.htm
Version Bêta
Anglais
· http://www.jacobboerema.nl/en/TranscriptBeta.htm
Néerlandais
· http://www.jacobboerema.nl/Transcript/TranscriptBeta.htm

Contact :

E-mail : jgboerema@gmail.com

Adresse postale:
J.G. (Jacob) BOEREMA
Zuidlaarderweg 3
9468 AA Annen
Nederlands

Téléphone : 0592-271555

Ce programme est sous Copyright © 2003-2007 de J. G. Boerema.


License, responsabilites et distribution

Licence, Responsabilités et Distribution
En utilisant ce programme vous agréez les conditions suivantes de Licence d'utilisation.
Remarque : Ceci est une transcription de la Licence originale. Pour chaque désaccord entre la traduction et la version originale Néerlandaise seul cette version originale sera considérée comme correcte.

Conditions de Licence

Transcript est libre d'accès UNIQUEMENT pour un usage privé
Pour tout autre usage que celui cité ci avant, Trancript n'est pas en accès libre. Dans ce cas un montant de 15 euros doit être payé à son auteur J.G. Boerema.
Une donation est toujours la bienvenue afin de me stimuler pour l'amélioration de ce programme.
Remarques : Quand des transcriptions réalisées à partir de mon programme, ou utilisées dans une revue ou publication sont vendue au prix coûtant, le montant de 15 euros reste du

Ce programme est sous copyright © 2003-2007 de J.G. Boerema.

Méthodes de payements
Le mode de payement préféré est celui qui utilise mon compte bancaire Hollandais à la Rabobank ( BIC: RABONL2U ). Versez 15 euros sur mon compte numéro IBAN: NL75 RABO 0302 9205 87 au nom de J.G. Boerema à Annen avec la remarque : " Transcript version 2.2 ".
Une solution alternative est d'utiliser Paypal. Ouvrez votre compte Paypal et aller au tableau pour envoyer de l'argent. Comme adresse E-Mail utiliser jgboerema@gmail.com . L'euro est la valeur courante.
Le montant de 15 euros vous donne droit et accès au code d'enregistrement.
Vous devriez également toujours m'envoyer un E-mail à :
jgboerema@gmail.com .
Après avoir reçu votre paiement je vous enverrais un code d'enregistrement et ainsi vous pourrez employer les quelques fonctions supplémentaires seulement disponibles pour les utilisateurs enregistrés

Si vous souhaitez recevoir le programme sur CD il vous en coûtera 5 euros de frais pour les Pays-Bas, pour toutes autres destinations, me contacter pour connaître le montant des frais supplémentaires.

Responsabilité

Transcript est fourni sans aucune garantie sous quelque forme que ce soit : l'utilisation est entièrement à vos risques. Si vos lois ne me permettent pas ceci, alors ne vous permettez pas d'utiliser mon programme.

L'auteur n'accepte aucune responsabilité pour quelques dommages qui pourrait directement ou indirectement être provoqué par Transcript.

Bien que si vous rencontriez quelques problèmes, vous me contactez et j'essayerai au mieux de vous aider.
Si vous avez besoin d'aide, veuillez être le plus précis possible en décrivant vos problèmes. Vous devriez également mentionner votre version de Windows et autres programmes courants qui peuvent avoir une relation avec le problème.
Plus vous donnerez de détails, plus de chance avez-vous d'être aider.

Distribution

Seul l'auteur est habilité à distribuer le programme. Tout lien vers mon site est le bien venu mais en aucune manière vous ne pouvez le diriger vers le téléchargement sans en avoir reçu mon autorisation au préalable.
Aucun lien nécessitant un payement quelconque n'est autorisé à faire référence à mon site.
Si vous voulez vraiment employer un lien direct de téléchargement ou vouloir mettre mon programme pour le téléchargement sur votre emplacement vous devez demander et recevoir mon consentement.
La distribution sur CD, DVD ou autre support médiatique ( pour cela vous avez toujours besoin de mon consentement )
Exception : Faire la ou une copie pour un futur utilisateur qui ne possède pas Internet.


Historique du Programme
Pour toutes les modifications de la version en cours voyez : Nouveau dans cette version .

Perfectionnements/modifications de la version 2.1.1 ( 14 octobre 2005)

· Boutons et Raccourcis supplémentaires pour augmenter ou diminuer Raccourci : Ctrl+D and Ctrl+Alt+D. La valeur de retrait peut être incrémentée ou décrémentée par sélection dans les options générales.
· Ajouter une règle dans la fenêtre d'édition de texte. La règle peut être activée ou désactivée par la commande de la barre de menu ou par le raccourci clavier Ctrl+Alt+R. L'utilisation de la règle permet de changer les marges pour les paragraphes ainsi que de placer des taquets de tabulations. Un clic droit de la souris sur un taquet vous donnera accès à un menu offrant les différent alignements possible. Seulement disponible avec la version enregistrée.
· Un compteur incrémente automatiquement et insérant un texte rapide ( le nom du fichier image chargée ). Vous choisissez entre un compteur Numéro/Page ou un compteur " Folio ". Tout peut être défini dans Options - Avancé. Seulement disponible avec la version enregistrée.
· Texte Rapide ( utilisez Alt+0 - 9 ) fonctionnel sur un nouveau projet.
· Un raccourci clavier permet maintenant d'insérer la dernière sélection de couleur de l'arrière plan ( Ctrl+Alt+B ) ainsi que couleur du texte ( Ctrl+Alt+T ).
· L'aperçu de l'image à ouvrir est visible dans la boite de dialogue.
· Bogue corrigé : dans Windows XP il pouvait se produire qu'en mode plein écran ( Ctrl+F11 ) la fenêtre édition ne soit pas entièrement visible.
· Bogue corrigé : en utilisant Transcript pour la première fois sur un PC avec une version Néerlandaise de Windows, il arrivait qu'à l'ouverture de Transcript celui-ci n'apparaisse pas en Néerlandais et / ou que F1 ou le choix de l'aide à partir du menu ne fonctionne pas. Relancer Transcript une seconde fois rétabli cela. Je pense avoir corrigé cette erreur pour chaque démarrage, mais si vous rencontrez encore ce problème faites-le moi savoir.
· Bogue corrigé : en commutant entre les projets où le projet cible. Le projet était un « nouveau » fichier texte ( vide ), le fichier texte de l'ancien projet restait visible.
· Bogue corrigé : j'ai changé la mémoire principale parce que la vieille pouvait causer dans certaines situations un problème après une mise en veille de l'ordinateur et en le réactivant.
· Bogue corrigé : le Fichier Aide ne pouvait pas être trouvé lorsque le répertoire du programme n'était pas identique au répertoire à partir duquel le programme avait été lancé. Ceci pouvait se produire avec un raccourci bureau.
· Bogue corrigé : après importation d'un fichier, la valeur du Zoom sur le texte était remise à 100%.
· Bogue corrigé : quand la fenêtre de l'image ou de l'éditeur de texte ont été agrandies, le programme parfois ne mémorisait pas la position du diviseur de fenêtre en mode normal. Pour cette raison il pouvait se produire qu'au redémarrage de Transcript la fenêtre image ou la fenêtre d'édition restait ou était invisible.
· Quelques autres petits changements et améliorations du programme.

Perfectionnements / modifications de la version 2.1.0 ( 11 mars 2005)

· L'aide est maintenant disponible dans le format Html. Chaque matière a maintenant sa propre page d'aide ce qui est facile pour trouver votre information. L'anglais n'étant pas ma langue maternelle il peut y avoir des erreurs. Veuillez me les rapporter c'est ainsi que je pourrais les corriger.
· Ajout d'une aide ( facultatif ) pour ceux qui ont des difficultés à installer le programme à partir de la version zippée. Cette version zippée est encore disponible pour ceux qui préfèrent le programme sans l'install.
· Fonction supplémentaire à l'enregistrement du programme. Les utilisateurs enregistrés peuvent maintenant utiliser dès l'ouverture du programme de nouvelles fonctions supplémentaires.
· Projets supplémentaires. Un projet contient tous les paramètres importants comme le répertoire du fichier texte ou de l'image, les chemins de ces fichiers etc. Vous pouvez commuter entre les projets en choisissant un autre projet de la liste. Le menu très maniable pour celui qui travaille de temps en temps ou souvent sur différentes transcriptions en même temps. Il est également possible d'ouvrir le programme avec un projet spécifique en utilisant la ligne de commande option - < Nom de projet >. Il y a une boite de dialogue de gestion de projet où vous pouvez renommer ou supprimer des projets et où vous pouvez créer un raccourci bureau pour débuter le programme avec un projet spécifique. Seulement disponible avec la version enregistrée.
· Ajout d'une option pour insérer automatiquement le nom de fichier d'image dans la fenêtre d'édition quand vous passez au prochain fichier image. Vous pouvez indiquer dans quel format il sera inséré. Il peut temporairement être neutralisé en décochant la case. Il est également possible de l'insérer manuellement avec Ctrl+Alt+F. Seulement disponible avec la version enregistrée.
· Interface provisoire mais probablement supplémentaire. Cette interface changera très probablement, à l'avenir parce qu'elle n'est pas assez flexible, au moment où un plugin serait disponible : visionneuse qui montre l'information sur les photos ajoutées par un appareil photo numérique.
· Vous pouvez maintenant choisir entre l'ancienne et la nouvelle fonctionnalité de la souris dans la fenêtre d'image. Le nouveau modèle par défaut déplace l'image en appuyant sur le bouton gauche de souris et en déplaçant la souris. L'ancien modèle un clic gauche sur le bouton de la Zoom en + ou - l'image. Appuyer sur la touche de Ctrl ainsi que sur le bouton de la souris commute la fonctionnalité.
· Ajout d'une option qui replace automatiquement le pointeur de nouveau dans la fenêtre d'édition après que vous libériez le bouton de la souris dans la fenêtre image. Normalement la fenêtre image gardait le pointeur après relâchement du bouton de la souris et pour le replacer dans la fenêtre d'édition une action manuelle était nécessaire.
· Fermeture des commandes de fichier image et de fichier texte supplémentaires. la fermeture du fichier texte est identique à l'ouverture d'un nouveau fichier texte vide.
· Commandes supplémentaires pour maximiser la fenêtre image ( Ctrl+F12 ) et la fenêtre texte ( Shift+F12 ). En maximisant la fenêtre image vous pouvez encore écrire du texte dans la fenêtre d'édition. Pour ces commandes un nouveau menu a été ajouté : le Menu Affichage .
· Ajout d'un mode plein écran ( Ctrl+F11 ). Dans ce mode le menu et les barres d'outils ( y compris la barre standard de Windows ) seront cachées.
· Vous pouvez maintenant employer Shift+F5 / F6 pour vous déplacer jusqu'au dessus de la « page » gauche ou droite de l'image, en supposant que c'est une image de deux pages. En utilisant Shift+Ctrl+F5 / F6 vous pouvez aller au côté gauche ou droit de l'image sans aller jusqu'au dessus.
· Ajout d'une option pour une image à deux pages. Aller à la suivante ou à la précédente image la placera automatiquement sur la partie gauche ou droite de l'image.
· L'historique de derniers fichiers ouverts est mieux géré maintenant. Quand vous choisissez un fichier à partir de cette liste il sera déplacé au dessus de la liste historique au lieu de rester à sa place courante.
· Les touches Home, End, Page Up et Page Down fonctionnent maintenant également dans la fenêtre image. Dans la fenêtre image il n'est pas nécessaire d'employer ces touches que les touches ALT et Ctrl, bien que ces combinaisons de touches fonctionnent également.
· La liste pour le zoom + ou - sur l'image ou le texte contient plus de valeur à choisir pour cette fonction.
· En ouvrant un fichier texte ou image la boite de dialogue ouvrir un fichier sera maintenant dirigée sur le répertoire courant ou sont situés les fichiers texte et image. Idem pour la sauvegarde des fichiers.
· Le pourcentage incrément horizontal employé pour le calcul de la partie d'image à déplacer vers le gauche ou la droite a été diminué de 10 à 5%.
· Les barres d'outils et menus ont été relookés.
· L'aspect des boutons de couleur texte et d'arrière plan été également changé afin de se conformer à la méthode que Microsoft Office utilise pour ces boutons. La couleur visible sur les boutons indique maintenant la couleur qui a été pour la dernière fois choisie ( précédemment était la couleur du texte ou de l'arrière plan actuelle ). En appuyant sur le bouton la couleur sera appliquée au texte ou à l'arrière plan courant. La sélection sur la petite flèche vous proposera une palette pour un autre choix de couleur.
· Un changement d'un des composants utilisés dans ce programme, rend nécessaire que la police par défaut soit définie. Lorsque vous souhaitez autre chose que du Times New Roman ( Outils Menu - Police par défaut ) Bogue corrigé : des caractères d'espacement au début et à la fin des fragments de texte rapide insérés avec Alt+0 à 9 n'ont pas été archivés correctement dans le dossier de configuration INI. En relançant Transcript et en utilisant ces touches pour insérer un fragment avec espace au début et / ou à la fin, le texte a été inséré sans ces espaces ( cependant le reste du texte a été inséré normalement ).
· Bogue corrigé : l'ouverture d'un dossier par double clic sur le nom de fichier, quand cette action était exécutée dans la fenêtre image provoquait un agrandissement de l'image. En cause l'ancien modèle de curseur.
· Bogue corrigé : après un zoom + / - sur l'image la position horizontale de l'image était remise horizontalement centrée.
· Bogue corrigé : le zoom du texte a été remis à 100% après chargement d'un autre fichier texte mais le pourcentage de Zoom sur la barre d'outils indiquait toujours l'ancienne valeur. Maintenant la valeur de zoom reste à la valeur courante.

Perfectionnements / modifications de la version 2.0.3 ( 19 juin 2004 )

· Contrôles supplémentaires pour voir si le programme démarre à partir du disque CD-ROM : dans ce cas le répertoire du fichier de configuration est placé dans le répertoire de Windows
· La recherche du fichier de configuration se fait d'abord dans le répertoire du programme et ensuite dans celui de Windows.
· Les valeurs standard d'incrément dans les options ont changé dans certains cas.
· Le bogue a été résolu : changer la valeur de la position de départ vertical ne fonctionnait pas jusqu'à ce que le programme ait été relancé.
· Le bogue a été résolu : quand la position de départ vertical était 0 elle n'était pas remise à zéro au chargement d'une nouvelle image mais restait à la position précédemment définie.

Perfectionnements / modifications de la version 2.0.2 ( 25 avril 2004 )
· Le composant qui a été employé ultérieurement pour visualiser les images et tout ce qui lié ( JvSpecialImage ) a été remplacé par une version améliorée de TImageView32, une partie de Graphics32 voir :
http://g32.org/graphics32/index.html . Zoomer et Agrandir emploie nettement moins de mémoire.
· Option supplémentaire pour la rotation des images successives alternativement vers la gauche ( 270 degré ) et vers la droite ( 90 degrés ).
· Le défilement de l'image à l'aide de la roulette de la souris devrait maintenant fonctionner dans tous les cas.
· Zoomer emploie maintenant un filtre linéaire qui devrait améliorer la lisibilité.
· Quand le défilement extrême de l'image vers la gauche est sélectionné il est maintenant également possible de la faire défiler à l'extrême vers la droite.
· Bogue résolu : 90 et 270 degrés ont été échangés.
· Bogue résolu : La sauvegarde automatique n'e tenait pas compte du minutage défini dans le fichier de configuration

Perfectionnements / modifications de la version 2.0.1 ( 8 avril 2004 )

· Le programme peut maintenant être traduit dans n'importe quelle langue occidentale ( aucun Unicode ). La langue standard est l'Anglais. La seule autre langue disponible est à l'heure actuelle le Néerlandais. En lançant le programme pour la première fois il recherche les paramètres de la langue de Windows. Si néerlandais, la langue néerlandaise sera automatiquement sélectionnée, autrement cela restera Anglais ( mais on peut toujours le changer dans les options ).
Les traducteurs volontaires sont les bienvenus pour m'envoyer des traductions dans d'autres langues. Je mettrai la nouvelle traduction à disposition par téléchargements séparés sur mon site Web.
· Le nom du programme a été changé de Transcription en Transcript.
· Importer et exporter et vers d'autres types de fichiers supplémentaires à l'aide des filtres d'importation/exportation l'Office Microsoft Word ( seulement disponibles quand ceux-ci sont présent ).
· La reconnaissance des fichiers BMP et GIF a été ajoutée.
· Un certain nombre d'options de transformation d'image ont été ajoutées : rotation, couleurs inversées et niveaux de gris.
· Acquisition directe d'image dans le programme en utilisant un périphérique TWAIN ( Scanner ). Toujours à l'essai, vous pouvez obtenir une erreur « Pas assez de Ressources » en scannant de grandes images en haute résolution ( aussi lié à la version de Windows et la mémoire disponible ).
· Zoom + ou - sur le texte. Ceci fonctionne de la même manière que dans Microsoft Office : utilisez la roulette Ctrl+souris avant / arrière pour changer le zoom ou utilisez le champ de réglage zoom dans la barre d'outils image pour choisir le pourcentage de zoom désiré. Vous pouvez également indiquer dans les options que cette valeur de zoom devrait être conservée pour une prochaine utilisation du programme.
· Le nom du programme à été changé de Transcription en Transcript.
· Marges supplémentaires de paragraphe, espace avant et après, interlignage et alignement ( F8 ). Ces paramètres peuvent être sauvés comme paramètres par défaut pour de nouveaux documents. Les modèles de titre sont maintenant également disponibles mais leur utilisation est limitée parce que ces modèles ne peuvent pas être changés ( 1 limitation de la DLL de RichEdit ).
· Des taquets de tabulations peuvent être placées en utilisant une boite de dialogue ( Shift+F8 ). L'alignement différent des taquets et taquet de première ligne sont disponibles.
· Puces et listes numérotées supplémentaires peuvent être définies en utilisant les boutons de la barre d'outils.
· Exposant et Indice et Souligné ont été ajoutés au menu Format.
· La couleur du texte et la couleur d'arrière plan peut être définie en utilisant les deux boutons sur la barre d'outils. Les fenêtres palette de couleurs peuvent être déplacées pour rester visible en permanence.
· Le raccourci ( Ctrl+T ) à été ajouté pour le bouton barré de la barre d'outil.
· Sans compter que annuler défaire est maintenant également disponible (Ctrl+Y).
· La police par défaut pour de nouveaux documents peut être définie ( voir les outils de menu ).
· En utilisant le menu automatique dans l'éditeur de texte ( clic droit avec la souris ) vous pouvez insérer rapidement des fragments de texte au lieu de devoir le dactylographier à plusieurs reprises. Pour insérer rapidement un fragment de texte employez le menu ou l'utilisation Alt+Shift+< un chiffre de 0 à 9 >.l'insertion est liée au fragment de texte précédemment défini par le menu ou la combinaison de touche Alt+< un chiffre de 0 à 9 >.
· Réglage supplémentaire de la fenêtre d'édition. Du côté gauche et droit se trouve les poignées vous pouvez déplacer à la position désirée.
· Ajout de quelques options avancées en rapport avec les noms identiques pour le fichier image et texte : Sauver sans demander et le choix d'un répertoire différent image et texte est maintenant possible ( par défaut c'est le même répertoire ).
· Info bulle maintenant paramétrable dans la boite de dialogue options.
· Choix de mesure. Vous pouvez maintenant choisir entre les centimètres ( par défaut ) et les pouces.
· Option supplémentaire pour exécution d’une copie de sauvegarde ( Backup ) de l'ancien fichier RTF.
· Menus étendus.
· Aide accessible maintenant pour tout, exception pour « à propos »
· Le fichier de configuration INI est maintenant par défaut dans le même répertoire que le programme. Si vous voulez mettre le programme sur un CD vous pouvez copier le fichier INI dans le répertoire de Windows.
· Les boutons image précédente ou suivante sont maintenant neutralisés si le répertoire ne contient plus d'image suivante ou précédente.
· Ctrl+Alt+page Haut / Bas à été ajouté cela déplace l'image vers le haut ou le bas de l'écran.
· Clic sur un hyperlien dans la fenêtre d'édition ou dans la fenêtre d'aide ouvre maintenant le navigateur standard par défaut.
· Le texte non trouvé retourne une boite de dialogue signalant l'échec de la recherche.
· Bogue résolu : des fichiers image sans aucune extension n'étaient pas ajoutés à la liste déroulante des images disponibles.
· Bogue résolu : curseur de zoom sur les barres de défilement.
· Bogue résolu : après avoir maximisé ou rétabli la fenêtre principale, l'éditeur de texte était parfois brouillé.
· Prix accru pour un usage non personnel, porté à 10 euros, en raison de toutes nouvelles fonctions que j'ai ajoutée et le temps consacré à la réalisation de ce programme.

Perfectionnements / modifications de la version 1.2 ( septembre 2003 )

· Options sauvegarde automatique ( le choix possible entre 1 et 60 minutes ).
· Vous pouvez maintenant déplacer le texte dans la fenêtre d'édition vers le haut ou vers le bas en utilisant Ctrl+< flèche Haut ou Bas >.
· Option supplémentaire pour déplacer l'image un nombre de Pixel prédéfini à chaque appui sur la touche " Enter " dans la fenêtre d'édition. Particulièrement utile quand vous employez une ligne de texte pour une ligne de l'image.
· Option avancé supplémentaire pour employer toujours le même nom pour le fichier texte que celui de l'image ( demande de Henri ROODVELDT ).
· La visibilité standard des Info Bulles est maintenant de 4 secondes. Temps variable en éditant le dossier de configuration INI. Ajoutez sous [TMainForm] la ligne suivante : HintHidePause=4000
· Le nombre est la quantité de millisecondes de visibilité ( 1 seconde est identiques à 1000 ).
· Vous pouvez maintenant employer Ctrl+Alt+Home et Ctrl+Alt+End pour regarder le dessus ou le bas de l'image.
· A ajout d'un signal sonore en essayant d'aller une image précédente ou suivante quand il n'y a aucune de disponible.
· Bogue résolu : Le dossier d'aide maintenant est toujours trouvé même si le programme à été exécuté d'un autre répertoire.
· Bogue résolu : Ctrl-X maintenant disponible pour la fonction Couper / Coller.

Perfectionnements / modifications de la version 1.1 ( mars 2003 )

· Employer la touche tabulation dans l'éditeur de texte est maintenant possible.
· Le zoom + / - sur l'image est fonctionnel en utilisant clic gauche ou clic droit avec le bouton de la souris dans la fenêtre image.
· Ajout de la fonction modulation de la luminosité de l'image.
· Le nom de l'image est maintenant toujours visible et le choix du fichier image à ouvrir est ajouté à la barre d'outils.
· Le nom du fichier texte par défaut est maintenant le mêmes que le nom de l'image en sauvant un nouveau fichier.
· Un complément info est visible maintenant dans une Info Bulle.
· Option supplémentaire de déplacement vers la gauche pour l'image.
· La position horizontale est maintenant également sauvée à la fermeture du programme et réutilisée en l’exécutant de nouveau.

La version originale 1.0 est sortie en janvier 2003.


Bogues connus
En ce moment les bogues suivants et autres imperfections connus

· Ouvrir un fichier RTF déjà ouvert par une autre application provoquera une erreur.
· Les noms de couleur dans la boite de dialogues de sélection de la couleur du texte ou de l'arrière plan ne sont pas traduits. Ils sont toujours affichés en anglais.
· Le minuteur de projet à l'heure actuelle ne tient pas compte des changements horaires du système. Quand vous voulez changer l'heure de votre ordinateur il est conseillé d'abord de mettre le minuteur de projet en pause ( si celui-ci est en fonctionnement ).
· Quand vous utilisez le menu image via le clic droit de souris, le retour à la fenêtre d'édition texte ne se fait pas automatiquement.

Toutes autres anomalies, disfonctionnement rencontré ou suggestion d'amélioration, alors contactez moi . Je verrai pour résoudre le problème ou pour ajouter votre idée de perfectionnement si je pense qu'il apportera un plus.

S'il vous plait, soyez le plus détaillé possible ( Version de Windows, type de processeur, quantité de mémoire ). Ceci me facilitera la tâche pour dépister la cause de l'erreur.


Credits

Crédits
Je suis très reconnaissant envers les concepteurs des composants suivants. Ces composants m'ont permis de réaliser Transcript tel qu'il est maintenant.
Remarque : il n'est pas utile de télécharger ces composants pour utiliser mon programme.
Il est seulement conseillé d'indiquer les liens relatifs aux composants libres que vous utilisez dans vos programmes.

Ce programme contient le code source JVCL 3.31 et JCL 1.99
Vous pouvez trouver ce code sur les sites Web suivant :
http://homepages.codegear.com/jedi/jvcl/
http://homepages.codegear.com/jedi/jcl/

J'ai changé un des composants de JVCL : JvgLanguageLoader.
Selon l'accord de licence celui qui désire obtenir le code source de ce composant, m'envoyer un E-mail, et je vous l'enverrais.
Remarque : actuellement ceci a été ajouté au JVCL. c'est aussi maintenant disponible avec la version normale JVCL Release.

Les composants image utilisé sont Graphics32, voir sur :
http://graphics32.org/
http://g32.org/graphics32/index.html

Le composant Twain ( scanner ) que j'ai employé est une adaptation du composant Twain de Colin Wilson et peut être trouvé ici :
http://www.wilsonc.demon.co.uk/delphi_6.htm

Pour réaliser ce fichier d'aide, j'ai utilisé le programme libre HelpMaker disponible sur : http://www.vizacc.com .

Mes remerciements vont aussi à Jaap MEDEMA et à Henri ROODVELDT pour leurs idées et suggestions.


Raccourcis

Raccourcis Clavier

Raccourcis à utiliser dans Transcript

Pour améliorer la rentabilité de Transcript la plupart des fonctions dans le programme sont disponibles à l'aide des raccourcis clavier.

Ces raccourcis sont divisés dans quatre catégories :

· Manipulation d'image
· Raccourcis Éditeur
· Vue
· Divers


Manipulation d'image

Manipulation de l'image dans la fenêtre

Ctrl+Alt+< flèche gauche, droite, haut, bas | Déplace l'image dans la direction indiquée par la flèche.
Ctrl+Alt+PgUp | Déplace l'image vers le haut de la page.
Ctrl+Alt+PgDn | Déplace l'image vers le bas de la page.
Ctrl+Alt+Home | Va au dessus de l'image.
Ctrl+Alt+End | Va au dessous de l'image.
F5 | Montre l'image précédente du Fichier courrant.
F6 | Montre l'image suivante du Fichier courrant.
Shift+F5 | Va au coin supérieur gauche de la page image.
Shift+F6 | Va au coin supérieur droit de la page image.
Shift+Ctrl+F5 | Va à gauche de la page image.
Shift+Ctrl+F6 | Va à droite de la page image
Ctrl+F5 | Rotation de l'image de 90 degrés à gauche.
Ctrl+F6 | Rotation de l'image de 90 degrés à droite.
Ctrl+Alt++ (+ uniquement pavé numérique ) | Zoom avant.
Ctrl+Alt+- (- uniquement pavé numérique ) | Zoom arrière.
Ctrl+Alt+S | Netteté, Affiner l'image.
F4 | Restitue l'image originale ( annule les fonctions zoom, Luminosité, Rotation, inversions des couleurs, niveaux de gris et Affiner image ).

Utilisation de la Souris

Comment le curseur de la Souris peut être utilisé dépend des anciens ou nouveaux paramètres. Cela peut être défini dans les Options Image .

Image du curseur nouveau style
Zoom + | Clic Ctrl+bouton Gauche de la souris dans l'image.
Zoom - | Clic Ctrl+bouton Droit de la souris dans l'image.
Déplacer l'image | Pressez le bouton gauche de la souris et déplacer l'image dans la direction souhaitée.

Image du curseur ancien style
Zoom + | Clic bouton Gauche dans la fenêtre image.
Zoom - | Clic bouton Droit dans la fenêtre image.
Déplacer l'image | Pressez Ctrl+bouton gauche et déplacer l'image dans la direction souhaitée.

Il y a également un Menu Spécial quand vous cliquez le bouton droit de la souris dans la fenêtre Image.

Commentaires:

· Les flèches de déplacement du curseur pour le déplacement de l'image fonctionnent non seulement dans l'éditeur mais aussi dans la fenêtre image. Dans ce cas il n'est pas nécessaire de presser les touches Ctrl+Alt.
· Le standard d'incrément du zoom est à la valeur 10%. Ce paramètre peut être changé dans Options ( F11 ).
· Au sujet de la page gauche et droite ( voir Shift+F5 / F6 et Shift+Ctrl+F5 / F6 ) ceci montre ce que ces fonctions sont censées faire. Le programme ne sait pas s'il y a vraiment une page gauche et droite sur l'image.
· Le fichier image précédent ou suivant est choisi sur un tri du nom de fichiers. De façon à voir vos fichiers dans un ordre correct vous devez vous assurer qu'ils peuvent être triés sur le nom. Ceci signifie qu'en utilisant un nom de fichier avec des nombres ces nombres doivent avoir tous le même nombre de chiffres : pour exemple " Nomdefichier 2 " sera trié après " Nomdefichier 125 ". Pour corriger ceci vous devez renommer " Nomdefichier 2 " par " Nomdefichier 002 ".


Raccourcis editeur de texte

Raccourcis Éditeur deTexte

Commandes pour l'Éditeur de texte

Ctrl+N | Crée un nouveau fichier texte RTF.
Ctrl+O | Ouvre un fichier texte RTF.
Ctrl+S | Sauve le fichier texte RTF courant.
F2 | Sauve le fichier texte RTF courant sous un autre nom.
Alt+F4 | Quitter le programme.
Ctrl+B | Gras actif ou inactif.
Ctrl+I | Italics actif ou inactif.
Ctrl+U | Souligné actif ou inactif.
Ctrl+T | Barré actif ou inactif.
Ctrl+F7 | Sélection de la police de caractère par défaut.
F7 | Sélection de la police courante.
Ctrl+Shift+= | Exposant actif ou inactif.
Ctrl+= | Indice actif ou inactif
Ctrl+Shift+L | Alterne entre Puces et modèles de numérotations disponibles.
Ctrl+L | Aligne à gauche.
Ctrl+E | Centrer.
Ctrl+R | Aligne à droite.
Ctrl+J | Justifier ( seulement disponible avec RichEdit version 3 ou supérieur ).
Ctrl+D | Incrémente l'indentation ( aussi disponible avec le bouton sur la barre Format ).
Ctrl+Alt+D | Décrémente l'indentation ( aussi disponible avec le bouton sur la barre Format ).
Ctrl+Alt+B | Applique le dernier choix de couleur d'arrière plan pour le texte ( voir le bouton sur la barre Format ).
Ctrl+Alt+T | Applique le dernier choix de couleur du texte ( voir le bouton sur la barre Format ).
Ctrl+1 | Interligne simple (normal).
Ctrl+2 | Interligne double.
Ctrl+5 | Interligne 1,5 ligne.
Ctrl+A | Sélectionne tout le texte.
Ctrl+C | Copie le texte sélectionné dans le presse papier, aussi ( Ctrl+Ins ).
Ctrl+V | Colle le texte du presse papier ( aussi Shift+Ins ).
Ctrl+X | Coupe le texte sélectionné et le copie dans le presse papier, aussi ( Shift+Delete ).
Ctrl+Y | Annule dernière opération, aussi ( Alt+Backspace ).
Ctrl+Z | Restitue le dernier Annulé.
Ctrl+Retour arrière | Efface le mot précédent.
Ctrl+Delete | Efface le mot suivant.
Ctrl+Alt+C | Ouvre la Boite de dialogue Auto Remplacement .Si du texte a été sélectionné il sera automatiquement mémorisé dans le champ de saisie de la boite.
Alt+<0 à 9> | Insère du texte automatiquement ( choisissez un nombre de 0 à 9 ). Pour voir quel sont les textes disponibles un clic droit dans la fenêtre édition pour voir le menu rapide.
Alt+Shift+<0 à 9> | Choisir le fragment de texte à insérer automatiquement ( choisissez un nombre de 0 à 9 ).
F8 | Choisir les Options Paragraphe .
Shift+F8 | Choisir les Tabulations .
Ctrl+F | Chercher du texte.
Ctrl+H | Remplacer du texte.
F3 | Chercher l'occurrence suivante.
Ctrl+Home | Va au début de ce document.
Ctrl+End | Va à la fin de ce document.
Ctrl+Flèche gauche | Va au mot précédent.
Ctrl+Flèche droite | Va au mot suivant.
Ctrl+Flèche Haut | Déplace le texte d'une ligne vers le haut.
Ctrl+Flèche Bas | Déplace le texte d'une ligne vers le bas.
Ctrl+Roulette souris en avant | Zoom par incrément +10%.
Ctrl+Roulete souris en arrière | Zoom par incrément -10%.
Ctrl+Shift+A | Bascule en caractères " Majuscule ou minuscule ".

Note : Il y a également un Menu Spécial quand vous cliquez le bouton droit de la souris dans la fenêtre Édition de texte.


Affichage

Ctrl+F12 | Maximise la fenêtre image. La fenêtre d'édition n'est plus visible mais toujours active. Vous pouvez donc continuer à tapez votre texte même s'il n'est pas visible. Spécialement intéressant pour les personnes qui savent tapez à l'aveugle et qui préfère regarder le document image.
Shift+F12 | Maximise la fenêtre d'édition, dans ce cas la fenêtre image ne sera plus visible. Utile lorsque vous devez éditer un texte qui n'a rien à voir avec une image ou lorsque que vous voulez relire le texte que vous venez de tapez...t
Ctrl+F11 | Utilisez le plein écran. Dans cet arrangement le menu et les barres d'outils ne sont pas visibles juste comme la barre de Windows. Pour retourner au mode normal de visionnement cliquez Ctrl+F11 ou ESC. Le programme va également automatiquement retourner au mode normal de visualisation quand vous passerez à un autre programme.
Ctrl+Alt+R | Bascule la règle en " Visible " ou " Invisible " dans la fenêtre d'édition. Seulement disponible avec la version enregistrée.


Divers

F1 | Voir ce fichier d'aide. Cette aide peut être lue avec n'importe quel traitement de texte capable de lire les fichiers RTF. Vous trouver le fichier dans le même dossier que le programme.
F11 | Utiliser pour ouvrir la boite de dialogue Options Programme .
Ctrl+Alt+F | Insère manuellement le texte rapide qui peut être le nom du fichier image et ou un compteur (par exemple un numéro de page). Vous pouvez indiquer dans les Options Avancées dans quel format le texte rapide devrait être inséré. Seulement disponible avec la version enregistrée.
Ctrl+Alt+N | Faire un nouveau projet. Vous déterminez en premier un nom pour ce projet et ensuite les réglages courant seront sauvés dans ce projet. Seulement disponible avec la version enregistrée.
Ctrl+Alt+M | Ouvrez la boite Dialogue de Gestion de Projet où vous pouvez retirer ou supprimer des projets et où vous pouvez créer un raccourci sur le bureau. Seulement disponible avec la version enregistrée.


Info sur Fenetre Principale

Info sur la Fenêtre Principale et Accès rapides
Ci-dessous un exemple de la fenêtre principale de Transcript.
Au dessus vous voyez le Menu . Juste en dessous les 2 Barres d'outils pour des accès rapides aux fonctions.
En dessous des barres outils, vous trouvez deux parties plus importantes qui sont : la Fenêtre Image et la Fenêtre Édition de texte .

********* VERSION 2.2 Copie Écran *******************************************

Pour un accès rapide en utilisant Transcript, commencez par :

1. Allez à Fichier Menu et choisissez ouvrir un fichier image... ou utilisez le raccourci Ctrl+O. Parcourez le répertoire et choisissez l'image à transcrire.
2. Si le curseur ne se trouve pas dans la fenêtre d'édition, cliquez sur celle-ci. vous êtes maintenant près à Commencer la transcription du texte contenu dans l'image que vous voyez
3. Quand vous voulez déplacer l'image pour en consulter une autre partie, maintenez les touches ALT et Ctrl, déplacez simultanément le curseur dans la direction souhaitée. Vous pouvez également employer Ctrl et Alt en combinaison avec les Touches Page Haut, Page Bas, Début et Fin.
4. Si vous voulez continuer la transcription d'images. Quand vous avez terminé la transcription de l'image courante, vous pouvez sauver la partie texte. Allez la barre Menu, à Fichier et choisissez Sauver le fichier RTF ( Ctrl+S ) ou Sauver sous ( F2 ). Quand le fichier texte n'a pas encore été nommé, vous êtes invité à lui donner un nom. Ensuite le fichier sera sauvegardé. Lorsqu'il y a plusieurs images dans le répertoire de l'image courante vous pouvez choisir une autre image avec la touche F6 ( vous pouvez aussi utiliser le bouton image suivante de la barre d'outils ). vous pouvez alors continuer la transcription avec cette image. Vous avez le choix de continuer dans le texte courant, ou créer un nouveau texte avec Ctrl+N, ou de le faire dans un ancien texte avec Ctrl+O.
5. Quand vous connaissez les principes de base vous pouvez commencer à consulter toutes les autres Options et Commandes qui sont disponibles pour ajuster le programme selon vos préférences personnelles.

Il est également recommandé de lire le reste de ce fichier Aide. De cette façon vous pourrez mieux employer ce programme à son niveau maximum.


Utilisation d'images PDF
Puisque la version 2.2 vous permet d'utiliser des images au format PDF, il est important et requit que Ghostscript soit installé sur votre PC. Voici un lien direct pour l'acquérir Téléchargement de Ghostscript ( Choisir exécution sous Windows ).

Note : Il y a de nombreux programmes qui utilisent GhostScript, notamment des pilotes d'imprimantes PDF. Il est donc possible que GhostScript soit déjà installé. Dans ce cas Transcript le détectera automatiquement au démarrage.

Lorsque vous utilisez la boite de dialogue pour ouvrir un dossier image et y choisir un nouveau fichier, si GhostScript est détecté il listera tous les fichiers y compris les PDF, s'il n'est pas présent les PDF seront ignorés.

Comment Transcript utilise t'il Ghostscript ?
Quand vous choisissez un fichier PDF pour être converti, Transcript lancera GhostScript qui à son tour commencera à extraire toutes les pages du fichier PDF pour séparer les images en format JPG.
Selon le nombre de pages, la taille, les dimensions et la méthode de compression utilisée, cela peut parfois prendre un temps considérable pour extraire toutes les images. Tandis que GhostScript est occupé une info de progression sera visible avec le temps écoulé et le temps estimé restants.
Dès que la première page sera convertie elle sera affichée et bien que la conversion des autres pages ne soit pas finie, vous pouvez déjà commencer à travailler à la transcription. Aucun besoin d'attendre que toutes les pages sont faites.
Note : en raison de l'interface limitée de GhostScript il n'est pas possible de d'annuler le processus d'extraction une fois que celui-ci est en cours !

Il y a un certain nombre d' Options PDF que vous pouvez employer pour obtenir un résultat optimal d'extraction et pour supprimer des images extraites après utilisation.
Sans compter que ces quelques boutons options peuvent également être placés dans la barre de Menu Image sous le sous menu PDF. Cependant ces options et menu sont seulement disponibles pour les utilisateurs enregistrés.

Si vous avez un PDF issus d'une nouvelle source et que vous l'estimez de meilleure qualité que celui de la première extraction un nouvel essai est possible pour voir celui qui donnera la meilleure qualité image.

Paramétrage des options PDF manuellement
Dans la version libre de Transcript vous devrez changer des paramètres PDF manuellement. Pour cela vous devrez ouvrir le fichier de paramètre " Transcript.ini " avec un éditeur de texte.

Les options fichier PDF doivent être placées sous la section [TMainForm].
Les options suivantes peuvent être ajoutées ou modifiées :
PdfResolution= " nombre "
Le nombre ici indique la résolution en " dpi " utilisée pour les images extraites à partir du fichier PDF. La valeur par défaut est 75, mais cela est fonction de la personne qui a sauvegarder le fichier PDF, il a peut être choisi un plus grande résolution, par exemple 120 ou 150 pour un meilleur résultat. Notez cependant que plus haut est cette valeur, plus cela durera pour extraire les images.
JpegQuality= " nombre "
Ce nombre correspond à la qualité de l'image de JPEG. La valeur par défaut est 80 mais des valeurs plus élevées offrent une meilleure qualité ( maximum 100 ). Juste comme l'option précédente : avec des valeurs plus élevées cela prendra plus longtemps pour extraire les images.


Boite de dialogues Options

Boite de dialogue Options

Options ( F11 )

Dans cette boite de dialogues sont disponibles toutes les options du programme que vous pouvez paramétrer selon vos préférences.
Les options sont divisées en six catégories :

· Générale
· Image
· Advancée
· Langue
· Autocorrection
· PDF

Voir aussi :
· Options Paragraphe
· Réglage Tabulation


Options Generales

Options Générales
Les Options reprisent ci-après sont réglables selon vos préférences

Démarrage
Au démarrage du programme, Charge automatiquement le fichier : lorsque cette option est cochée ( ou par défaut ). Après le chargement le programme ouvre directement le fichier texte et image avec les derniers paramètres que vous aviez utilisés à la fermeture.
Reprendre les paramètres zoom du texte : lorsque cette option est cochée, à chaque ouverture de fichier le même facteur de zoom que le fichier précédent sera utilisé, dans le cas contraire le zoom sera remis à sa valeur par défaut ( 100% ).

Sauvegarde automatique
Le programme peut sauver automatiquement le fichier texte. Pour ceci, cochez la case et déterminez la fréquence à laquelle le programme sauvera votre travail (par défaut il est à 15 minutes).
Faire une copie de sauvegarde (backup) : par défaut est inactif. Cocher cette case activera la fonction copie de sécurité, cette dernière sera faite avec l'extension .~RTF.

Système de mesure
Pour les Marges de Paragraphe ( F8 ) et la position des Taquets de Tabulation ( Shift+F8 ) les valeurs sont basées sur l'unité de mesure choisie ( par défaut le centimètre ).

Info-Bulle
Une petite bulle avec des informations complémentaires, qui apparaît au simple passage du curseur de la souris sur une commande quelconque. Vous pouvez désactiver cette option ainsi que déterminer le nombre de seconde pendant lesquelles l'information restera visible ( par défaut 4 secondes ).

Paramètre pour l'éditeur de texte
Incrément du Retrait de ligne : Ici vous spécifiez de combien sera incrémenté ou décrémenté le paragraphe en utilisant les boutons de commande de la barre Format ou avec raccourcis correspondant soit: ( Ctrl+D et Ctrl+Alt+D ). Ceci est lié à l'unité de mesure choisie, centimètres ou pouces.


Options Image
Point de départ vertical de l'image
Vous pouvez décider ici à quelle distance à partir du dessus d'une image, la nouvelle image chargée devrait être montrée. Déterminez en partant du dessus de la fenêtre le nombre de Pixel à faire défiler vers le bas avant d'afficher l'image. Cette fonction est utile lorsque l'on possède beaucoup d'image dont la partie supérieure est vierge. Cette fonction vous évitera ainsi de devoir manipuler constamment l'image pour rendre visible la partie à traiter.

Déplacer une image
Vous déterminez ici pour chaque appuis sur " Enter " de combien de pixel l'image vas se déplacer vers le haut de la fenêtre image. Intéressant lorsqu' une ligne texte correspond exactement à une ligne image. La valeur par défaut de cette option est à 25 pixels.
La même possibilité est également accessible chaque fois que le texte arrive à la marge de droite et que le passage à la ligne suivante est exécuté. Pour ce contrôle l'option défilement de l'image doit être cochée sur retour automatique à la ligne.

Le Pas d'incrément du zoom + ou -
Ici vous déterminer de combien le Zoom sur l'image sera incrémenté à chaque sollicitation par un clic gauche ou droit de la souris ( par défaut 10% ).

Rappel des paramètres Image Précédente
Cocher cette option ( défaut inactif ) pour chaque chargement d'une nouvelle image, celle-ci sera affichée avec les paramètre zoom, couleurs, luminosité etc. de l'image précédente. Ceci est intéressant lorsque plusieurs images doivent subir une rotation. Si l'option n'est pas cochée alors les paramètres par défaut seront utilisés.

Déplacer entièrement l'image à Gauche
Cocher cette case vous permettra de déplacer l'image à la limite maximum de la fenêtre image, seul une infime partie de l'image sera encore visible ( défaut inactif ).

Alterner entre la rotation à Gauche ou à Droite
Quand cette option est cochée ( défaut inactif ) les images successives alterneront entre la rotation gauche ( 270 degrés ) et la bonne rotation ( 90 degrés ). Si l'image a une autre rotation aucune correction ne sera faite.

L'image comporte deux pages
Si cette option est choisie aller à la précédente ou la suivante la placera automatiquement à gauche. Si cette option n'est pas choisie l'image sera affichée centrée.

Modèle de curseur
Choisir entre Ancien ou Nouveau style.
· Nouveau style: vous déplacez l'image en pressant le bouton gauche de la souris et vous glisser dans la direction souhaitée. Pour zoomer en + ou - CLIC bouton gauche ou droit de la souris ainsi que la touche Ctrl.
· Ancien style: Pour le zoom + ou - CLIC le bouton gauche ou droit de la souris. Vous déplacerez l'image en pressant sur le bouton gauche ainsi que sur la touche Ctrl et ensuite glissez vers la direction souhaitée.

Retour automatique à la fenêtre d'édition après relâchement du bouton de la souris
Si vous choisissez cette option le pointeur de la souris retournera automatiquement dans la fenêtre d'édition après relâchement du bouton de la souris lorsque vous êtes dans la fenêtre image.


Options Avancees

Options Avancé
Images et Fichiers Texte avec le même nom
Si vous créez un nouveau fichier texte pour chaque image et vous voulez lui donner le même nom que l'image ( excepté l'extension ) le programme peut automatiser ceci pour vous.
Activer cette fonction ( défaut inactif ). Quand vous allez à la prochaine ou précédente image avec F6 ou F5 le programme essaye automatiquement d'ouvrir le fichier texte avec le même nom et s'il n'existe pas il sera créé. Naturellement le fichier texte courant est à sauver d'abord. Si actif le programme vérifie également automatiquement si les noms de l'image et du fichier texte sont identiques. Sinon il demande ce qu'il faut faire à ce sujet.

Si la case est cochée il y a deux options supplémentaires disponibles.
· Sauver sans confirmation ( défaut inactif ). Ici le fichier texte est automatiquement sauver sans attendre de confirmation de votre part dès que vous changez de fichier image et fichier texte : dans cette situation, le programme sait que le nom du fichier texte ne doit pas être changé et ne nécessite par la confirmation de sauvegarde.
· Utilser un répertoire différent ( défaut inactif ). Par défaut les fichiers texte seront sauvés dans le même répertoire que le fichier image. Si cette option est cochée vous pouvez choisir un répertoire différent pour sauver votre fichier texte. Pour sélectionner le répertoire, cliquez sur le bouton visualiser pour afficher l'arborescence de votre disque.

Insertion automatique de texte
Seulement disponible avec la version enregistrée.
Insertion automatique de texte après l'affichage d'une image
Quand vous passez à l'image suivante en utilisant F6 ou la commande du menu il est possible de laisser exécuter l'insertion automatique de texte par le programme selon vos choix. Le texte à insérer sera seulement placé quand vous passerez au fichier image suivant. Il ne sera pas inséré lorsque vous choisissez fichier précédent ou lorsque vous choisissez une image au hasard dans la liste. Vous pouvez temporairement neutraliser cette option en décochant la case.

Paramètre d'insertion rapide
Dans ce champ de saisie vous spécifiez le fragment de texte à insérer. Sans compter les caractères courants vous pouvez aussi utiliser les majuscules et minuscules qui sont ici importantes:
· %f = Insérer le nom du fichier image sans l'extension ni le chemin du répertoire.
· %e = insérer l'extension du fichier y compris le point le précédent.
· %p = insérer le nom du répertoire où l'image peut être trouvée.
· %n = insérer une nouvelle ligne.
· %t = insérer une tabulation.
· %F = insérer le chemin complet, le nom du fichier ainsi que son extension.
· %c = insérer un compteur qui sera incrémenté automatiquement à chaque insertion.

Restaurer
Ce bouton restore les paramètres par défaut ( %n[%f]%n%n ).

Type de compteur
En utilisant le réglage %c vous souhaitez ici l'insertion d'un compteur. En ce moment, deux types de compteur sont disponibles:
· Nombre / Page: Numérotation normale 1, 2, 3, etc.
· Folio: Numérotation Folio, qui est : 1, 1v, 2, 2v, etc. V indiquera " verso ". Cette numérotation était employée souvent dans de vieux documents.

Valeur d'incrément compteur
Ici vous déterminer l'incrément pris en compte pour chaque insertion. Selon le type de compteur, vous insérez un nombre seul ou un nombre suivi de la lettre " v ".


Choix de la Langue
Ici vous pouvez sélectionner la langue que doit utiliser le programme. Choisir dans la liste la langue disponible: ( Anglais, Français et Néerlandais ).

Au démarrage le programme par défaut est sur " Anglais " excepté pour ceux qui possède une version Néerlandaise ou Française de Windows.

Les volontaires pour traduire Le fichier Aide dans d'autres langages sont les bienvenus.
Envoyez moi votre traduction et je la placerais à disposition sur mon site Web.

A coté de la liste des langues disponibles, vous avez quelques informations sur la traduction ; tel que la version du programme traduit, le nom du traducteur, son émail s'il est connu etc. ainsi qu'une appréciation sur l'état d'avancement d'une éventuelle nouvelle traduction, par exemple ( l'Espagnol est en cours de traduction )


Options Auto Correction
Les options ici citées peuvent être employées pour changer les paramètres pour la correction automatique et l'auto remplacement.
Seulement disponible avec la version enregistrée.

Utiliser un Son d'Alerte pour chaque correction
Quand vous cochez cette option vous entendrez un son toutes les fois que Transcript corrige ou remplace un mot.

Fichier Son
Si l'option précédente est cochée, si vous n'appréciez pas le son par défaut il vous pouvez en choisir un autre qui vous plairas mieux.

Correction double Majuscules
Quand vous tapez du texte, il arrive souvent que premier caractère et le deuxième soit en majuscule. Cocher cette option, activera la correction automatique et la deuxième majuscule sera remplacée par une minuscule.

Ne pas corriger la double Majuscule " IJ "
Ceci est une exception prévue dans les options de correction. La combinaison des deux lettres IJ majuscule ne sera pas remplacée par Ij. Cette forme est très utilisée en Néerlandais. ( ex: Jean MATHIEU = Jan MATIJS ).

Correction de la seconde Majuscule
Si cette options est cochée, vous obtenez automatiquement la correction du deuxième caractère du mot en une majuscule en lieu et place du premier caractère.

Ignore le second Espace
Quand vous voulez ajoutez parfois plus d'un espace où vous ne le voulez pas. Cochez cette option, Transcript ignorera tous les espaces supplémentaires quand il y a déjà un espace à la position actuelle du curseur.

Permettre l'Auto Remplacement
Juste comme dans Ms-Word Transcript peut automatiquement remplacer des mots et des abréviations mal écrites avec les mots corrects ou rédiger des mots ou des phrases. C'est très utile et dans certains cas peut vous épargner un temps considérable lorsque vous avez souvent les mêmes ( parties de ) phrases dans vos transcriptions et définissez l'Auto Remplacement pour ces phrases.

Fichier Auto Remplacement
Pour que le remplacement automatique fonctionne, il faut définir ici, un nom de fichier où ces remplacements seront stockés.
De la fenêtre principale de Transcript vous pouvez ouvrir la boite Dialogue d'Auto Remplacement ( Ctrl+Alt+C ) où vous pourrez ajouter, supprimer et changer des définitions d'Auto Remplacement.


Options PDF
Sur ce paragraphe vous trouverez toutes les options liées à la transcription à partir d'images PDF.
Note : extraire des images à partir des fichiers PDF fonctionnera seulement si vous avez GhostScript installé. Pour plus d'information voyez Utilisation d'images PDF .
Ces options peuvent seulement être accessibles dans la version enregistrée de Transcript. Les utilisateurs de la version libre auront besoin d'éditer le fichier Transcript.ini manuellement. Pour plus de détails voyez la page mentionnée ci-dessus au sujet de Utilisations d'images PDF .

Résolution Image PDF
Cette sélection détermine dans quelle résolution les images extraites du fichier PDF seront sauvées. La valeur par défaut est 75 dpi, mais cela dépendra de la qualité du résultat souhaité.
Certaines valeurs les plus communes ont été prévues à la baisse, mais vous pouvez également choisir d'autres valeurs. Quand vous obtenez un PDF d'une nouvelle source il est souvent utile d'expérimenter avec différentes résolutions afin de voir quels seront les meilleurs résultats pour avoir des images de bonne qualité.
C'est selon : plus la résolution choisie est haute, plus les fichiers JPEG seront important et plus le temps d'extraction sera long ( qui dépend également de la taille des images et de la compression employées pour les sauver dans le fichier PDF ).

Qualité JPEG
La qualité JPEG indique la qualité à laquelle les images JPEG extraites à partir du PDF seront sauvées. La valeur par défaut est 80%. Plus haute est la valeur, meilleure est la qualité ( maximum 100% ). C'est selon : juste comme pour une extraction, plus la valeur est haute, meilleur sera la qualité de l'image mais plus gros sera aussi le fichier JPEG.

Supprimez les images extraites une fois terminé avec la dernière image.
La sélection de cette option s'assurera que les images extraites à partir du PDF ne seront supprimées qu'une fois les transcriptions terminées. Transcript détermine ceci quand vous allez à l'image suivante : au cas où vous seriez sur la dernière page image du fichier PDF, les images extraites seraient supprimées. Naturellement le fichier PDF lui-même ne sera pas supprimé. Ainsi vous pouvez toujours le réutiliser pour une nouvelle extraction et transcription si nécessaire !

Supprimer automatiquement toutes les images extraites du fichier PDF courant quand vous avez terminé avec la dernière page image
Au lieu de l'option précédente, ou en combinaison avec cette option, vous pouvez choisir de supprimer les images extraites chaque fois que vous choisissez un autre dossier pour vos images à transcrire. Signifiant que vous ouvrez une image dans un autre dossier. Dans ce cas toutes les images extraites à partir des fichiers PDF dans l'ancien dossier seront supprimées.
Naturellement le dossier PDF lui-même ne sera pas supprimé, ceci vous permettant de pouvoir le réutiliser si nécessaire !

Note : vous pouvez également sélectionner quelques options par le Sous Menu PDF au-dessous du Menu Image : quelques résolutions PDF communes peuvent être choisies et vous pouvez supprimer toutes les images extraites du PDF dans le dossier courant.


Options Paragraphe

Options Paragraphe ( F8 )

Ici dans cette fenêtre de dialogue, vous pouvez placer un certain nombre d'options de paragraphe : marges, alignement, espacement, modèle d'inter ligne etc. Vous pouvez également sauver ces spécifications à moins que le modèle par défaut ne soit employé pour vos nouveaux documents.

Marges
Les marges d'un paragraphe indiquent combien d'espace il y à entre la marge de la page et le texte.
Gauche | Marge du côté gauche.
Droite | Marge du côté droit.
Première Ligne | Valeur relative de l'espace compris entre la marge de gauche et le texte. Ceci peut être une valeur négative pour commencer la première ligne plus près de la marge gauche que les lignes suivantes.

Alignement
Indique comment le texte dans un paragraphe est réparti horizontalement sur la page.
Gauche | Toutes les lignes commencent à la marge de gauche.
Droite | Toutes les fins de ligne sont alignées à droite.
Centrer | Toutes les lignes sont centrées entre les marges gauche et droite.
Justifier | Le texte est équitablement réparti entre la marge de gauche et la marge de droite et la dernière ligne est justifiée à gauche.

Espace
Indique l'espace vertical à laisser avant et après un paragraphe.

Interligne
Spécifie l'espace vertical compris entre deux lignes. Défaut est à 1 ligne.

Type d'interlignage
Simple | Pour chaque ligne, un interligne qui est assez grand pour supporter la plus grande police sur cette ligne plus un espace supplémentaire minime selon la police utilisée.
1,5 ligne | Pour chaque ligne, un interligne de 1,5 ligne. Pour un caractère de corps10 cela représentera un interligne d'environ 15 points.
Double | Pour chaque ligne, un interligne double. Pour un caractère de corps10 cela représentera un interligne d'environ 20 points.
Au moins | Interlignage minimal à employer qui peut être changé pour utilisation de plus grandes polices ou images qui autrement n'entreraient pas dans interlignage normal.
Exactement | Interlignage fixe qui ne peut pas être changé. Toutes les lignes obtiennent même interlignage.
Multiple | Interlignage qui peut être augmenté ou diminué avec un pourcentage a indiqué par vous. Par exemple quand vous choisissez ici une valeur de 1.2 ligne, l'interlignage sera augmenté de 20% et de 0.8 ligne signifiera que l'interlignage diminuera de 20%.
Sur (ligne) | Réglage d'Interlignage seulement disponible quand vous choisissez ; Au moins, Exactement ou Multiple comme type d'interlignage.

Commentaire
Quand la ligne contient un caractère de grande taille ou une image l'interligne est automatiquement adapté. Si vous voulez que l'interligne reste le même pour toutes les lignes vous devez choisir le type " Exactement " et indiquer la valeur de l'interligne à maintenir.

Modèle de Titre
Les modèles de titres sont des combinaisons par défaut de format paragraphe, police et taille de la police. Le mode défaut pour tous les paragraphes est texte brut. Dans la commande courante de Windows RichEdit vous ne pouvez pas changer les formats de ces modèles de titres. Excepté Normal et vous pouvez seulement choisir les modèles déterminés de 1 au titre 9.

Voir aussi:
· Boite de dialogue Options
· Paramètre de Tabulation


Parametres Tabulation

Options Tabulation

Paramètres de Tabulation ( Shift+F8 )

Dans cette boite de dialogue vous pouvez déterminer ou modifier le réglage incrément de la tabulation. Vous déterminez aussi la position des taquets de tabulation. Ceci dépendra de l'unité de mesure choisie, centimètres ( cm ) ou pouces ( in ) ( voir Options Générales , F11 ).

Position et alignement des taquets de tabulation :
Gauche | Alignement normal à gauche.
Centrer | Le texte est aligné de part et d'autre du taquet de tabulation.
Droite | Le texte est aligné à droite du taquet de tabulation.
Décimal | Alignera X caractère à gauche selon le nombre se trouvant avant la virgule et X à droite pour le nombre après la virgule.
Barre | Place une Ligne verticale comme dans Microsoft Word liée à la position du taquet de tabulation.

Et vous pouvez également indiquer un caractère de point de suite à placer avant l'alignement de tabulation par défaut pas de point de suite.
Aucun | Alignement exact au taquet.
....... | Alignement avec points précédent le taquet.
------ | Alignement avec Tirets précédent le taquet.
____ | Alignement avec marque de soulignement précédent le taquet.

Lorsque vous êtes satisfait de vos réglages vous pouvez les mémoriser avec le bouton Déterminer. Pour annuler ces réglages, utilisez le bouton Effacer ou Effacer Tout.

Voir aussi:
· Boite de dialogue Options
· Options de Paragraphe


Menu Courant

Menu Structure

Menu " Courant "

Voici une description de toutes les commandes disponibles. Le menu principal comprend les catégories suivantes:

Menu Fichier | Voici toutes les commandes Menu au sujet de la manipulation d'un fichier, comme Ouverture, Sauvegarde, Acquisition d'image et quitter le programme. Vous pouvez appeler ce menu avec Alt+F ou avec la souris.
Menu Éditer | Ce menu contient toutes les commandes pour manipuler le texte, comme : couper, copier et coller le texte et la recherche et le remplacement du texte. Vous pouvez appeler ce menu avec Alt+E ou avec la souris.
Menu Format | Toutes les options de formatage du texte. Vous pouvez appeler ce menu avec Alt+M ou avec la souris.
Menu Affichage | Toutes les commandes d'affichage. Actuellement agrandir la fenêtre Image ou d'édition, activer le mode Plein écran. Vous pouvez appeler ce menu avec Alt+V ou avec la souris.
Menu Image | Toutes les commandes pour la manipulation d'une image. Sélectionnez le avec Alt+I.
Menu Outils | Menu avec un lien pour les Options, Polices de caractères et ( insertion rapide de texte, Seulement disponible avec la version enregistrée.). Sélectionnez le avec Alt+T.
Menu Aide | Ce menu, donne accès à divers articles liés à ce programme expliquant les divers fonctionnements et particularités de Transcript. Sélectionnez le Alt+H.

Voir aussi:
· Barre d'Outils


Menu Fichier
Nouveau fichier RTF
Si le fichier courant à été modifié il vous demande si vous voulez le sauver. Raccourci : Ctrl+N

Ouvrir un fichier RTF...
Ouvrir un fichier texte rtf existant, vous demande s'il faut sauver le fichier courant. Raccourci : Ctrl+O.

Importer un fichier texte...
Importez un Fichier dans un format différent que le RTF. Le type fichier au format texte peu seulement être importé, mais quand le Ms-Office Word est installé ses filtres d'importation / exportation peuvent être utilisés comme ceux pour Ms Word, htm( l ), Excel et, WordPerfect.
Note : Ces filtres dans la plupart des cas sont seulement installés une fois si nécessaires par Ms-Office Word, quand un filtre pour un certain type de fichier n'est pas disponible, à l'ouverture dans le Word. Si un filtre est disponible il sera demandé de l'installer. Ensuite le filtre pourra être utilisé dans ce programme. Notez qu'en raison des limitations de la commande standard de Windows RichEdit elle ne peut pas manipuler tous les éléments. Par exemple des tableaux qui sont très communs dans le HTML et les documents d'Office Word seront dans la plupart des cas tronqués dans l'éditeur au format texte RichEdit. Il peut seulement accepter les tableaux en lesquels chaque cellule se compose seulement d'une seule ligne de texte. Si le Fichier courant a été modifié il demandera si vous voulez le sauver.

Rouvrir
Sous ce menu vous trouvez les 10 derniers fichiers texte RTF ouvert. Choisir un pour le rouvrir de nouveau. Si le dossier courant a été modifié il est demandé si vous voulez le sauver il vous est demandé si vous voulez le sauver.

Ouvrir un fichier image...
Utilisez ce choix pour ouvrir un fichier image. Raccourci : Ctrl+Alt+O.

Sauver un fichier texte RTF
Sauve le fichier texte RTF courant. Raccourci : Ctrl+S.

Sauver sous...
Sauve le fichier texte courant sous un autre nom. Raccourci : F2.

Exporter un fichier texte...
Utilisez ceci pour exporter un fichier texte RTF dans un autre format. Voir importation / exportation fichier texte pour des informations sur ces filtres de conversion.

Fermer le fichier texte RTF
Cette commande ferme le fichier texte RTF, si ce fichier courant à été modifié il vous sera demandé de le sauver. Raccourci : Ctrl+N.

Fermer le fichier image
Ferme le fichier image et restitue une fenêtre image vide.

Acquérir une image...
Cette commande appelle l'interface périphérique Twain ( votre scanner etc. ) pour l'utiliser afin de capturer une image. Après la capture vous êtes invité à sauver cette image sous forme d'un fichier.

Sélectionner la source Twain...
utiliser cette commande pour sélectionner le périphérique Twain ( Scanner ) que vous allez utiliser pour capturer une image. Uniquement nécessaire si vous disposez de plusieurs dispositifs de capture d'images.

Quitter
Ferme le programme. si le fichier courant à été modifié vous êtes invité à le sauver. Selon les options que vous avez choisies quelques paramètres seront sauvés. Raccourci : Alt+F4.


Menu editer

Menu Éditer
Défaire
Annule le dernier changement de texte effectué. Ceci peut être exécuté plusieurs fois et ce jusquà 100 fois. Raccourci : Ctrl+Z.

Refaire
Restitue la dernière action annulée avec Défaire. Raccourci : Ctrl+Y.

Couper
Coupe la sélection et la copie dans le presse papier. Raccourci : Ctrl+X.

Copier
Copie la sélection dans le presse papier. Raccourci : Ctrl+C.

Coller
Colle le contenu du presse papier. Raccourci : Ctrl+V.

Effacer
Efface la sélection de texte courante.

Sélectionner tout
Sélectionne tout le document. Raccourci : Ctrl+A.

Rechercher...
Rechercher un fragment de texte. Raccourci : Ctrl+F.

Remplace...
Remplace le texte courant par un autre texte. Raccourci : Ctrl+H.

Rechercher le suivant
Recherche occurrence suivante. Raccourci : F3.


Menu Format
Police...
Ceci ouvre une boite de dialogue où vous pouvez choisir la Police de caractère à utiliser, sa taille, la couleur, le style et effets. Raccourci : F7.

Paragraphe...
Ouvre la boite de dialogue de réglage options paragraphe. Raccourci : F8

Tabulations...
Ouvre la boite de dialogue de réglage options Tabulations. Raccourci : Shift+F8.

Gras
Bascule en Gras oui / non. Raccourci : Ctrl+B.

Italique
Bascule en Italique oui / non. Raccourci : Ctrl+I.

Souligner
Bascule en soulignement oui / non. Raccourci : Ctrl+U.

Barré
bascule en texte Barré oui / non. Raccourci : Ctrl+T.

Exposant
Bascule en exposant oui / non. Raccourci : Ctrl+Shift+=.

Subscript
Bascule en indice oui / non. Raccourci : Ctrl+=.

Puces
Bascule insertion Puces oui / non. Raccourci : Ctrl+Shift+F11 change le style de puces ou de numérotation.

Aligne à gauche
Aligne le texte à gauche ( standard ). Raccourci : Ctrl+L.

Centrer
Centre le texte. Raccourci : Ctrl+E.

Aligne à droite
Aligne le texte à droite. Raccourci : Ctrl+R.

Justifier
Aligne le texte entre la gauche et la droite. Raccourci : Ctrl+J.

Diminuez le Retrait
Diminue le positionnement de la marge Gauche d'un paragraphe ( raccourci : Ctrl+Alt+D ). La valeur avec laquelle vous modifiez le retrait peut être défini dans Options - Générales

Augmenter le Retrait
Augmente le retrait du positionnement de la marge Gauche d'un paragraphe ( raccourci : Ctrl+D ). La valeur avec laquelle vous modifiez le retrait peut être défini dans Options - Générales


Menu Affichage
Maximize la fenêtre image
Cette commande maximise la fenêtre image. La fenêtre d'édition ne sera plus visible mais sera toujours active. Ceci signifie que vous pouvez encore saisir du texte dans la dite fenêtre. Particulièrement utile pour ceux qui peuvent dactylographier en aveugle et vouloir regarder autant que possible l'image. Raccourci : Ctrl+F12

Maximize la fenêtre édition de texte
Cette commande maximise la fenêtre édition de texte sans que la fenêtre image soit visible. Utile si vous ne devez pas regarder l'image. Raccourci : Shift+F12.

Plein écran
Cette commande passe en mode plein écran de Transcript. Le menu et les barres d'outils seront cachées et la barre de commandes Windows sera également cachée. Retour en mode Normal en utilisant ESC ou Ctrl+F11. Le programme basculera également en mode Normal automatiquement lorsqu'un autre programme est sélectionné. Raccourci : Ctrl+F11.

Afficher / Cacher la règle
Cette commande montre ou cache la règle dans la fenêtre édition de texte. Raccourci : Ctrl+Alt+R. Seulement disponible avec la version enregistrée.


Menu Image
Image Précédente
Ouvre l'image précédente du répertoire courant. Raccourci : F5.

Image Suivante
Ouvre l'image suivante du répertoire courant. Raccourci : F6.

Coin supérieur Gauche de la page
Va au coin supérieur gauche de l'image sur la page. Raccourci : Shift+F5.

Coin supérieur Droit de la page
Va au coin supérieur droit de l'image sur la page. Raccourci : Shift+F6.

Côté Gauche de la page
Va au côté gauche de l'image sur la page par rapport à sa position verticale. Raccourci : Shift+Ctrl+F5.

Côté Droit de la page
Va au côté droit de l'image sur la page par rapport à sa position verticale. Raccourci : Shift+Ctrl+F6.

Positif / Négatif
Inverse toute les couleurs de l'image en couleurs opposées. Ceci peu parfois rendre l'image plus lisible.

Niveau de Gris
Change l'image couleur en une identique mais en niveau de gris.

Rotation à Gauche
Retourne l'image de 90° à gauche. Raccourci : Ctrl+F5.

Rotation à Droite
Retourne l'mage de 90° à droite. Raccourci : Ctrl+F6.

Rotation de 90°
Tourne l'image originale de 90 degrés. idem que rotation à droite

Rotation de 180°
Tourne l'image originale de 180°, ceci signifie la mettre à l'envers.

Rotation de 270°
Tourne l'image originale de 270°, idem que rotation à gauche.

Pas de Rotation
Rotation à 0 degré, ou pas de rotation.

Image Originale
Montre l'image sous sa forme originale. Raccourci : F4.

Sous Menu PDF
Ce sous-menu comprend les remarques liées à la manipulation d'images PDF

dpi 75
Place la résoluton à la valeur 75 dpi pour l'image extraite du fichier PDF.

dpi 150
Place la résoluton à la valeur 150 dpi pour l'image extraite du fichier PDF.

dpi 300
Place la résoluton à la valeur 300 dpi pour l'image extraite du fichier PDF.

Supprimez toutes les images extraites du fichier PDF
Ceci supprime toutes les images extraites à partir des fichiers PDF dans le dossier courant. Le fichier PDF d'origine ne sera pas supprimé.


Menu Outils
Options...
Ceci ouvre la boite de Dialogue Options afin de pouvoir spécifier vos préférences pour le programme. Raccourci: F11.

Police par défaut...
Ouvre la boite de dialogue concernant les polices de caractères et vous permet ainsi de spécifier la police à utiliser par défaut à la création d'un nouveau fichier texte RTF. Raccourci: Ctrl+F7.

Nouveau Projet
Créez un nouveau projet basé sur les paramètres du projet en cours. Vous serez invité donner un nom pour ce projet. Raccourci : Ctrl+Alt+N.
Seulement accessible avec la version enregistrée.

Contrôler les projets...
Ouvre la boite de dialogue de gestion Contrôle de Projets où vous pouvez renommer ou supprimer un projet, faire un raccourci sur le bureau ou ajouter une description à un projet. Raccourci : Ctrl+Alt+M.
Seulement accessible avec la version enregistrée.

Minuteur de Projet Démarrage / Pause
Ceci démarre ou redémarre le minuteur de projet, si celui-ci fonctionnait déjà, fait une pause.
Note : quand vous voulez temporairement travailler avec un autre programme vous n'avez pas besoin de faire une pause manuellement avec le minuteur. Transcript fera la pause automatiquement si il détecte que vous basculez sur un autre programme.
Seulement accessible avec la version enregistrée.

Arrêt du minuteur de Projet
Si le minuteur est en activité, il sera arrêté et le compteur remis à 0 ( il vous sera demandé confirmation )
Seulement accessible avec la version enregistrée.

Réinitialisation du minuteur de projet
Le minuteur de projet sera réinitialisé à 0 et redémarré.
Seulement accessible avec la version enregistrée.

Editer la liste Auto remplacements ...
Ouvre la boite de Dialogue Auto Remplacement où vous pouvez ajouter, effacer ou modifier une définition d'Auto remplacement. Raccourci Ctrl+Alt+C. Si du texte est sélectionné à l'ouverture de la boite de dialogue celui-ci sera automatiquement inséré.
Seulement accessible avec la version enregistrée.

Recharger la liste Auto remplacements
Utilisez seulement quand vous éditez la liste Auto remplacement dans un éditeur externe. Dans ce cas d'utilisation cette commande recharge la liste modifiée à partir du disque. Raccourci : Ctrl+Alt+A.
Seulement accessible avec la version enregistrée.

Insertion rapide de texte
Cette commande insère rapidement du texte prédéfini selon vos préférences, vous pouvez changer ce texte en utilisant les Options Avancées . L'auto texte est possible pour insérer le nom de fichier de l'image courante ou un compteur d'insertion. Raccourci : Ctrl+Alt+F. Seulement disponible avec la version enregistrée.

< Plugins >
Si des Plugins sont trouvés ils seront indiqués et accessibles dans ce menu. Ces Plugins pourront alors être installés à partir de ce menu.


Menu Aide
Information sur l'aide
Ouvre ce fichier d'Aide.

Enregistrement...
Cette commande ouvre la boite de dialogue permettant d'entre son code d'enregistrement. Vous recevez ce code d'enregistrement par e-mail après avoir payé à l'auteur du programme le montant demandé.

A propos de
Ouvre une boite de dialogue avec les informations sur le programme Transcript tel que : n° de version, le nom de l'auteur, son e-mail, le site Web, copyrights et responsabilités etc.


Clic Droit menu Image
C'est un menu séparé qui est visible quand vous appuyez sur le bouton droit de souris au-dessus de la fenêtre image. Il comprend les articles suivants.

Choisir la position verticale
Maintenant vous pouvez choisir la position verticale de début pour de nouvelles images à la position de l'image actuellement chargée. ( Cette valeur peut également être changée dans les Options image , mais là vous devrez deviner la meilleure position vous-même.

Position Horizontale de l'image
C'est un sous-menu où vous pouvez choisir entre trois types de positionnement horizontal : image centrée, même excentrage horizontal pour toutes les images, différents excentrages horizontaux pour les pages gauches et droites.

Pourquoi le choix pour une différence entre les pages gauches et droites ?
Quand vous prenez des photographies d'un livre entier ( de préférence avec l'utilisation d'un trépied ) c'est souvent plus commode. La première prise de vues, toutes les pages de du côté Gauche et ensuite les pages du côté droite ( ou l'inverse ). Dans ce cas-ci il y aura souvent de légères différences dans la façon dont le sujet est centré dans l'image. En employant différents réglages pour les pages gauches et droites vous pouvez charger la plupart des images directement dans la position exacte de départ que vous voulez, sans devoir manuellement déplacer l'image à la position correcte.
Quand vous avez fait le choix pour les pages gauches et droites différentes vous pouvez également choisir si la page courante devrait être considérée comme gauche ou comme page droite. Ensuite Transcript considérera comme étant des images les pages alternativement gauches et droites.

Réglage horizontal du positionnement des pages de Gauche
Ceci place la position horizontale basée sur la position horizontale actuelle de l'image courante. Ne fonctionne pas si vous avez choisi l'option que toutes les pages devraient être centrées. Au cas où vous emploieriez le même positionnement horizontal pour toutes les images, il considèrera ainsi toutes les images des pages gauches et ainsi vous pouvez employer ceci pour choisir le positionnement horizontal pour toutes les pages.

Réglage horizontal du positionnement des pages de Droite
Comme le précédent mais place maintenant le positionnement horizontal pour les pages de droites basées sur l'image courante. Naturellement ceci ne fonctionne que si vous avez choisi différentes pages gauches et droites.

Page Gauche et Page Droite
Vous pouvez choisir si Transcript doit examiner la page courante, une page gauche ou une page droite, au cas où vous choisissiez différents positionnements horizontaux pour les pages gauches et droites.

Zoom Avant et Zoom Arrière
Zoom avant ou zoom arrière sur l'image.


Editeur Menu Clic Bouton droit

Éditeur Menu Clic Bouton droit de la Souris
C'est un menu séparé qui est visible quand vous appuyez sur le bouton droit de souris au-dessus de la fenêtre de l'éditeur de texte.
Les premières options sont les actions normales de léditeur, pour plus d'informations sur ceux-ci voir éditer le menu .
Ensuite vous avez les options suivantes.

Editer la liste Auto remplacement...
Ouvre la boite de Dialogue Autoreplacement .

Ajouter une sélection à la liste de remplacement...
Ouvre la boite de Dialogue Autoreplacement et copie le texte sélectionné dans le champ de saisie de cette boite de dialogue pour facilité l'édition. Raccourci : Ctrl+Alt+C.

Insérer du texte rapidement
Sous-menu avec du texte fragmenté et assigné au chiffre 0 à 9. En choisissant un de ces nombres le fragment texte correspondant au chiffre tapé sera inséré à la position courante du curseur dans la fenêtre d'édition. Raccourci : Alt+<nombre 0-9>.

Choisir le texte à Insérer rapidement
Sous-menu où vous pouvez assigner des fragments de texte aux numéros 0 à 9. En choisissant un de ces nombres le texte sera assigné à l'article de menu correspondant. Raccourci : Alt+Shift+<nombre 0-9>.


Barre d'Outils
1. Barre Outils Projets.
Seulement disponible avec la version enregistrée.
Cette Barre Outils contient la liste des projets disponibles. Vous pouvez choisir un autre projet à partir de cette liste et ainsi chargera automatiquement tous les paramètres ( fichiers textes, images et autres etc. ) prédéfinis pour ce projet.
Il y a aussi un bouton pour créer un nouveau projet. Raccourci : Ctrl+Alt+N.
Et il y a un bouton pour la gestion d'un projet. Raccourci : Ctrl+Alt+M. Ce bouton activera une boite de dialogue où vous pouvez contrôler vos projets ( Trier, effacer, renommer ou encore créer un raccourci et ajouter une description pour un projet ).

2. Barre Outils Principale
Cette Barre Outils, contient les boutons pour un accès rapide à l'ouverture d'un fichier RTF, à l'ouverture d'un fichier d'image, à la sauvegarde du fichier RTF courant, à l'ouverture de la boite de dialogues Options et à la fermeture du programme et à l'accès à ce fichier Aide

3. Barre Outils Image.
Cette Barre Outils image contient les fonctions spécifiques suivantes :
1. Une liste déroulante avec toutes les images reprisent dans le répertoire courant. Vous pouvez y choisir une image à extraire de cette liste.
2. Boutons pour choisir l'image précédente ou suivante de ce répertoire.
3. Zoom : la valeur par défaut du zoom image, peut être modifiée en sélectionnant une autre valeur sur cette liste.
4. Luminosité : la valeur par défaut de la luminosité de l'image, peut être changée en sélectionnant une autre valeur sur cette liste.

4. Barre Outils Format.
C'est une méthode plus rapide d'accéder aux options les plus employées pour le formatage de textes.
1. Police. Montre la police courante du texte courant. Vous pouvez changer la police pour le texte choisi en sélectionnant une autre police sur cette liste.
2. Taille de police. Montre la taille de la police courante ce qui peut être changé en sélectionnant une autre valeur sur cette liste.
3. Zoom sur le texte. Montre la valeur courante. Cette valeur peut être modifiée en déterminant une autre valeur à partir de cette liste.
4. Les boutons pour basculer respectivement Gras, Italique, Soulignent et Barré.
5. Puces les mettre actives ou inactives.
6. Numérotation hiérarchique. Si vous appuyez sur ce bouton vous obtenez un menu où vous pouvez choisir le modèle de numérotation à utiliser pour le paragraphe courant. Vous pouvez choisir l'un des modèles ci-après :
Aucun | Pas de numérotation.
1, 2, 3, ... | Numérotation numérique du paragraphe en débutant avec la valeur 1.
a, b, c, ... | Emploie les lettres minuscules, et commence par a.
A, B, C, ... | Emploie les lettres majuscules, et commence par A.
i, ii, iii, ... | Emploie la numérotation romaine minuscule, commence par i.
I, II, III, ... | Emploie la numérotation romaine majuscule, commence par I.

7. Les quatre boutons suivant concernent l'alignement du texte, aligné à gauche, centré, droite et justifié.
8. En utilisant ce bouton vous pouvez choisir la couleur de d'arrière plan du texte sélectionné. La ligne sur le dessous du bouton montre la dernière couleur choisie pour l'arrière plan. Un clic sur ce bouton applique immédiatement cette couleur. Un clic sur la petite flèche, une boite de sélection de couleurs apparaît. Raccourci : Ctrl+Alt+B.
9. Utilisez ce bouton pour déterminer la couleur du texte, pour le reste identique à la sélection de l'arrière plan. Raccourci : Ctrl+Alt+T.
10. Les deux derniers boutons sont pour le retrait du texte ( Retrait = Raccourci : Ctrl+D ) ( Pas de retrait ou réduire le retrait = Raccourci : Ctrl+Alt+D ). En utilisant cette fonction, vous pouvez facilement changer la marge gauche du paragraphe.

Voir aussi:
· Menu Courant


Enregistrement des Codes
Dans cette boite de dialogue vous pouvez introduire vos codes d'enregistrement.

Ces codes d'enregistrement vous sont envoyés par E-mail après que vous ayez payé le montant lié à l'utilisation professionnelle de Transcript.

Complétez les deux champs exactement comme mentionné dans l'E-mail. Prenez garde à la différence entre Majuscule et minuscule.

Après que vous ayez correctement introduit vos codes, vous obtennez l'accès à toutes les particularités de la version PRO de Transcript.

Si vous faites une erreur en introduisant les codes d'enregistrement vous recevrez un message d'erreur. il vous suffira de recommencer votre introduction.


Boite de Dialogue Projets
 Précédent Haut
Dans cette boite de dialogue vous pouvez contrôler tous vos projets. Des projets peuvent être renommés ou supprimé, et un raccourci lié à un projet peut créé et placé sur le bureau. La liste des projets peut également être triée ou pas, selon vos préférences.
La Boite de dialogue gestion des projets est seulement disponible dans la version enregistrée.

Coté gauche, la liste de tout les projets. En sélectionner un avec les touches Flèche haut ou bas ou avec la souris.

A côté de la liste vous trouvez les boutons suivants :
· Trier les projets. Une case à cocher que vous pouvez activer lorsque vous souhaitez que la liste des projets soit triée alphabétiquement.
· Renommer le projet. Utilisez ce bouton si vous voulez donner à un projet un autre nom.
· Supprimez le projet. Utilisez ce bouton quand vous voulez supprimer un projet. Notez que vous ne pouvez pas supprimer le projet en cours. Dans ce cas que ce bouton sera grisé. Pour supprimer le projet en cours vous devez d'abord passer à ou créer un autre projet.
· Créer un raccourci. En utilisant ce bouton vous créez et placez un raccourci sur le bureau qui ouvrira le projet y lié avec tous ses paramètres prédéfinis par vous lors de sa création.
· Éditer description. You can add or change a description for the selected project. The description of the currently selected project can be viewed under the projects list in this dialog and will also be shown in the hint when you hover the mouse over the project selection box in the main window of Transcript.
· Bouton Fermer. Ceci fermera la boite de dialogue de gestion de projet.
· Bouton Aide. Appuyer sur ce bouton ou employer la touche F1 appellera cette aide.

Au-dessous de la liste de projets vous sera montré quelques informations sur le projet actuellement choisi : la description de projet, et les noms de fichier image et texte courants.
Note : le contenu de ces champs peuvent être copiés et vous pouvez également redimensionner la boite de dialogue de projet pour pouvoir regarder l'info complète ( pour de longs noms, toute l'information sera également montrée quand vous placez la souris au-dessus de ce champ ).
Copyright © 2003-2007 J.G. Boerema. Précédent Haut


Boite de dialogue Auto Remplacement
 Précédent Haut
Dans cette boite de dialogue vous ajoutez, modifiez et renommez les définitions Auto Remplacement pour le projet courant.
Note : avant que vous puissiez ajouter toutes les définitions, ici vous devrez d'abord donner le nom d'un fichier dans lequel les Auto remplacements seront stockés. Vous pouvez choisir le nom de fichier dans la boite de dialogue Auto Correction automatique.
Chaque projet peut avoir son propre fichier Auto remplacements mais vous pouvez également décider de choisir le même fichier pour différents projets.
L'Auto Remplacement est seulement accessible avec la version enregistrée.

Quand vous ouvrez cette boite de dialogue, quand vous choisissez le texte dans l'éditeur le texte sera automatiquement complété et éditez dans les champs Remplacer et Avec.
Vous pouvez éditer l'un ou l'autre ou les deux champs selon si le texte choisi contient le texte correct intégral ou le texte ou l'abréviation mal écrite.
Le champ d'édition Remplacer devrait être utilisé pour écrire le texte que Transcript rencontrera dans l'éditeur.
Note : dans ce champ dde saisie, vous pouvez seulement écrire une mot ou abréviation sans n'importe quels espaces ou ponctuation.
Dans le champ édition Avec devrait comporter le texte que Transcript devrait employer pour remplacer le texte original. Le texte dans ce champ de saisie peut se composer de mots multiples, d'espaces et de ponctuation.

Exemple d'utilisation de l'Auto Remplacement
Vous travaillez à une transcription où vous rencontrez les mêmes ( partie de ) une phrase, exemple : Cette phrase est un exemple. Dans ce cas-ci vous entrez dans la boite d'édition dans le champ de saisie Remplacer y écrire une abréviation, comme: Cpeue ( j'emploie souvent le premier caractère de chaque mot mais vous pouvez choisir celui que vous voulez ). Dans le champ de saisie Avec vous devez y écrire la phrase complète.
Maintenant toutes les fois que la transcription rencontre " Cpeue " elle le remplacera automatiquement avec la phrase complète " Cette phrase est un exemple ".

Quand, comme moi, vous travaillez souvent aux transcriptions où vous rencontrez beaucoup de phrases standard, vous noterez bientôt qu'en employant l'Auto Remplacement vous pouvez gagner un temps considérables
Prenez garde : la casse de caractères est importante ! La graphie du mot " Cpeue " n'est pas interprétée de la même manière que " cpeue "
L'Auto Remplacement est également utile dans le cas où vous écririez souvent mal un mot, par exemple quand vous écrivez vous pouvez laisser Transcript automatiquement exécuter le remplacement.

Vous pouvez choisir des mots dans la liste Auto Remplacement avec la souris ou avec les flèches Haut, Bas ou les touches Pageup, Pagedown.
Quand vous avez choisi le mot à remplacer à partir de la liste vous pouvez en supprimer la définition avec le bouton Effacer on peut ajouter une nouvelle définition ou changer la définition existante en cliquant sur le bouton Ajouter.

Note : La boite de dialogue Auto Remplacement peut rester ouverte tandis que vous transcrivez le texte dans la fenêtre d'édition de Transcript, vous n'avez pas besoin de la fermer après avoir ajouté ou supprimé des définitions.
Vous pouvez employer Alt+Tab ou la souris pour commuter entre la fenêtre principale de transcription et la boite de dialogue Auto Remplacement. Chaque fois que vous revenez à la boite de dialogue Auto Remplacement n'importe quel texte choisi dans la fenêtre d'édition de Transcript sera automatiquement complété dans les champs de saisie de la dite boite.

Par défaut un son est audible chaque fois qu'un remplacement est effectué, désactiver ce son ou en choisir un autre est possible par Options d'Auto Corrections .
Je vous conseille pour le début d'une transcription, de ne pas neutraliser ce Son d'alerte car c'est une méthode facile de noter que le texte a été remplacé dans les cas où ce n'était pas votre intention de le faire. De ma propre expérience je sais que vous écrivez parfois une abréviation et que vous découvrez plus tard qu'elle est également employée comme mot normal, dans ce cas naturellement il est remplacé.

à Savoir:
L'Auto Remplacement ( et aussi l'Auto Correction ) peut être temporairement
inactivé si la touche de fonction " Scroll Lock " est ON ( activée ).Réactiver la fonction en plaçant la touche " Scroll Lock " OFF ( inactivée ).
Copyright © 2003-2007 J.G. Boerema. Précédent Haut